<?php

$output = $thumb_data = $css = $speed = '';
$image_size = 'full';
$onclick = 'none';

extract( $atts );

$items_number = (!empty($items_number))?$items_number:4;

if( !empty( $images ) ){
	$images = explode( ',', $images );
}

if ( is_array( $images ) && !empty( $images ) ) {

	foreach($images as $image_id){
		$attachment_data[] = wp_get_attachment_image_src( $image_id, $image_size );
		$attachment_data_full[] = wp_get_attachment_image_src( $image_id, 'full' );
	}

}else{
	echo '<div class="wlp-carousel_images align-center" style="border:1px dashed #ccc;"><br /><h3>Carousel Images: '.__( 'No images upload', 'wpleadpages' ).'</h3></div>';
	return;
}

$element_attribute = array();

$el_classes = array(
	'wlp-carousel-images',
	'owl-carousel-images',
	'wlp-sync1',
	$wrap_class
);

if( $css != '' )$el_classes[] = $css;

$owl_option = array(
	'items' => $items_number,
	'speed' => $speed,
 
	'navigation' => $navigation,
	'pagination' => $pagination,
	'auto_height' => $auto_height,
	'auto_play' =>  $auto_play,
	'progress_bar'	=> $progress_bar,
	'show_thumb'	=> $show_thumb,
	'play'	=> $atts['auto_play'],
);

$owl_option = json_encode( $owl_option );

$element_attribute[] = 'class="'. esc_attr( implode( ' ', $el_classes ) ) .'"';
$element_attribute[] = "data-owl-options='$owl_option'";
 
if( 'custom_link' === $onclick && !empty( $custom_links ) ){
	$custom_links = preg_replace('/\n$/','',preg_replace('/^\n/','',preg_replace('/[\r\n]+/',"\n", $custom_links)));
	$custom_links_arr = explode("\n", $custom_links);
}

ob_start();

if(!empty($title)){
	echo '<h3 class="wlp-title image-gallery-title">'. esc_html($title) .'</div>';
}
?>

<div <?php echo implode( ' ', $element_attribute ); ?>>
<?php foreach($attachment_data as $i => $image): ?>

	<div class="item">

	<?php if( 'none' === $onclick ): ?>
		<img src="<?php echo $image[0]; ?>" />
	<?php else:

		switch( $onclick ){

			case 'lightbox':
				echo '<a class="wlp-image-link" data-lightbox="wlp-lightbox" rel="prettyPhoto" href="'. esc_attr( esc_attr( $attachment_data_full[$i][0] ) ) .'">'
					.'<img src="'. esc_attr($image[0]) .'" /></a>';
				break;

			case 'custom_link':
				if(isset($custom_links_arr[$i])){
					echo '<a href="'. esc_attr( strip_tags($custom_links_arr[$i]) ) .'" target="'. esc_attr($custom_links_target) .'">'
						.'<img src="'. esc_attr($image[0]) .'" /></a>';
				}else{
					echo '<img src="'. esc_attr($image[0]) .'" />';
				}

				break;

		}

	endif; ?>

	</div>

<?php endforeach; ?>
</div>

<?php if( !empty($show_thumb) && 'yes' === $show_thumb ){ ?>
<div class="wlp-sync2 owl-carousel">
	<?php foreach($attachment_data as $image): ?>

		<div class="item">
			<img src="<?php echo $image[0]; ?>" />
		</div>

	<?php endforeach; ?>
</div>
<?php } //end if show thumb ?>

<?php
$output = ob_get_clean();

echo '<div class="wlp-carousel_images">'.$output.'</div>';

wlp_js_callback('wlp_front.owl_slider');
