<?php
/**
 * wlp_tab shortcode
 **/
 
$tab_id = $title = '';
extract( $atts );

$css_class = array( 'wlp_tab', 'ui-tabs-panel', 'wlp_ui-tabs-hide', 'wlp_clearfix' );

if( empty( $tab_id ) || (strpos( $tab_id,'%time%' ))){
	$tab_id = sanitize_title( $title );
}else{
	$tab_id = esc_attr( $tab_id );
}

if( isset( $class ) )
	array_push( $css_class, $class );

$output = '<div id="' . $tab_id . '" class="' . esc_attr( implode( ' ', $css_class ) ) . '"><div class="wlp_tab_content">'.
		( ( '' === trim( $content ) ) 
		? __( 'Empty tab. Edit page to add content here.', 'MiniPageBuider' ) 
		: do_shortcode( str_replace('wlp_tab#', 'wlp_tab', $content ) ) ).
	'</div></div>';

echo $output;