<?php

$output = $align = $before = $after = '';
$type = 'h1';
extract( $atts );

$tclass=(isset($atts['class']));
$attributes = array();
$wrap_class = array();
$classes = array(
	'wlp_title',
	$tclass
);

if( !empty( $atts['type'] ) )
	$type = esc_attr( $atts['type'] );
else $type = 'h1';

if( !empty( $atts['css'] ) ){
	//$css = apply_filters('wlp_css_custom', $atts['css']);
	if( isset( $atts['title_wrap'] ) && $atts['title_wrap'] == 'yes' )
		$wrap_class[] = $atts['css'];
	else $classes[] = $atts['css'];
}

if( !empty( $align ) )
	$classes[] = 'align-'.$align;

$attributes[] = 'class="' . esc_attr( implode(' ', $classes) ) . '"';  
$tcss_data=(isset($atts['css_data']));
$f=strpos($tcss_data,"font-family");
$newf=substr($tcss_data,$f);
 
$till=strpos($newf,";");
 $font_family=substr($newf,0,$till);
 
 if(trim($font_family)==''){
$output = '<'.$type.' '.implode( ' ', $attributes ) . '>'.$atts['text'].'</'.$type.'>';
 }
 else{
	 $output = '<'.$type.' '.implode( ' ', $attributes ) . ' style="'.$font_family.';">'.$atts['text'].'</'.$type.'>';
 }
if( isset( $atts['title_wrap'] ) && $atts['title_wrap'] == 'yes' )
{

	if( !empty( $before ) )
		$output = $before.$output;
	if( !empty( $after ) )
		$output .= $after;
	
	if( isset( $atts['title_wrap_class'] ) && !empty( $atts['title_wrap_class'] ) )
		$wrap_class[] = $atts['title_wrap_class'];
	
	if( !empty( $align ) )
		$wrap_class[] = 'align-'.$align;
		
	$output = '<div class="'.esc_attr( implode(' ', $wrap_class ) ).'">'.$output.'</div>';
	
} 

echo $output;

