/*
 * Wp Lead Pages Project
 *
 *  
 *
 * Must obtain permission before using this script in any other purpose
 *
 * wlp.front.js
 *
*/

( function($){
	
	if( typeof( or ) == 'undefined' ){
		console.error('Could not load wpleadpages core library');
		return;
	}
	
	wlp.front = {
		
		init : function( frame_doc ){
			
			wlp.widgets = $( wlp.template('wp-widgets') );

			wlp.model = wlp.storage.length;
			wlp.detect.init( frame_doc );
			wlp.front.ui.init( frame_doc );
			
			wlp.trigger({
				
				el: $('.wlp-top-toolbar'),
				
				events: {
					'.wlp-bar-devices:click': 'screen',
					'#wlp-enable-inspect:click': 'switch',
					'#wlp-bar-tour-view:click': 'tour',
					'#wlp-front-exit:click': 'exit',
					'#wlp-front-save:click': 'save'
				},
				
				screen: function(e){
				 
					var screen = $(this).data('screen');
					if( screen == 'custom' ){
						screen = prompt( 'Enter custom screen size (unit px)', this.innerHTML );
						if( screen === null )
							return;
					}
					  jQuery("#wlp-live-frame").contents().find("#wlp-footers").removeClass('wlp_foot');
					  jQuery("#wlp-live-frame").contents().find("#wlp-footers").removeClass('wlp_foottab');
					  jQuery('.wlp-bar-devices').removeClass('active');
		              e.data.el.find('.wlp-bar-devices').removeClass('active');
					  $(this).addClass('active')
	                  jQuery('.check_device').css('display','block');
				 	  jQuery("#wlp-live-frame").removeAttr('class');
					 
					 if(screen==768){ 
					 jQuery('.origin_front').removeClass('admin_origin');
                     jQuery("#wlp-live-frame").contents().find("#wlp-footers").addClass('wlp_foottab');					 
					 jQuery("#wlp-bar-tablet-view").addClass("active");
					 if(jQuery(".seven_fourty .device_attach input[type=checkbox]").is(':checked')) {   
					 jQuery("#wlp-live-frame").addClass('black_img');
					  }
                      else {   
                      jQuery("#wlp-live-frame").removeClass('black_img');
		               }
					  
					   jQuery('#wlp-bar-tablet-view').addClass('active');
					     jQuery('.seven_fourty .vertical').css('display','block');
		                 jQuery('.seven_fourty .horizontal').css('display','none');
		                 jQuery('.seven_fourty').css('display','block');
		                 jQuery('.three_twenty').css('display','none');
						   
						 if(!jQuery('html').hasClass('black_background')){
							
						   jQuery("html").addClass('black_background');
						  }
					    	jQuery("#wlp-live-frame").addClass('seven_screen');
				    	 }
					 
						if(screen==1024){  
						jQuery('.origin_front').removeClass('admin_origin');
						    jQuery("#wlp-live-frame").contents().find("#wlp-footers").addClass('wlp_foottab');	
						 jQuery("#wlp-bar-tablet-view").addClass("active");
						    if(jQuery(".seven_fourty .device_attach input[type=checkbox]").is(':checked')) {   
						 
                         jQuery("#wlp-live-frame").addClass('black_img');
					    }
                       else {   
                        jQuery("#wlp-live-frame").removeClass('black_img');
		                }
						jQuery('.seven_fourty .horizontal').css('display','block');
		                 jQuery('.seven_fourty .vertical').css('display','none');
						 jQuery('.seven_fourty').css('display','block');
		                 jQuery('.three_twenty').css('display','none');
						 
						 if(!jQuery('html').hasClass('black_background')){
							
						 jQuery("html").addClass('black_background');
						}
					  	jQuery("#wlp-live-frame").addClass('medium_screen');
					   }
					   if(screen=='100%'){
						   jQuery('.origin_front').addClass('admin_origin');
						 jQuery('.seven_fourty').css('display','none');
		                 jQuery('.three_twenty').css('display','none');
						 jQuery('.footer_width').css('display','none') ;
						 jQuery("#wlp-live-frame").removeAttr('class');
						 jQuery('.check_device').css('display','none');
						 jQuery("html").removeClass('black_background');
						 jQuery("#wlp-live-frame").addClass('hundred_screen');
					 }
					  if(screen==320){ 
					 jQuery('.origin_front').removeClass('admin_origin');
					   jQuery("#wlp-bar-mobile-view").addClass("active");
					    jQuery("#wlp-live-frame").contents().find("#wlp-footers").addClass('wlp_foot');
                      if(jQuery(".three_twenty .device_attach input[type=checkbox]").is(':checked')) {   
						  
                        jQuery("#wlp-live-frame").addClass('black_img');
					  }
                    else {   
					
                     jQuery("#wlp-live-frame").removeClass('black_img');
		             }					 
					  jQuery('.seven_fourty').css('display','none');
					  jQuery('.three_twenty .vertical').css('display','block');
		                 jQuery('.three_twenty .horizontal').css('display','none');
		                 jQuery('.three_twenty').css('display','block');
						if(!jQuery('html').hasClass('black_background')){
							
						 jQuery("html").addClass('black_background');
						}
						jQuery("#wlp-live-frame").addClass('three_screen');
					}
					if(screen==480){   
					jQuery('.origin_front').removeClass('admin_origin');
				    jQuery("#wlp-live-frame").contents().find("#wlp-footers").addClass('wlp_foot');
					 jQuery("#wlp-bar-mobile-view").addClass("active");
                    if(jQuery(".three_twenty .device_attach input[type=checkbox]").is(':checked')) {   
						 
                        jQuery("#wlp-live-frame").addClass('black_img');
					  }
                     else {   
                     jQuery("#wlp-live-frame").removeClass('black_img');
		             }						
					  jQuery('.seven_fourty').css('display','none');
		                 jQuery('.three_twenty').css('display','block');
                         jQuery('.three_twenty .horizontal').css('display','block');
		                 jQuery('.three_twenty .vertical').css('display','none');
						if(!jQuery('html').hasClass('black_background')){
							
						 jQuery("html").addClass('black_background');
						}
						jQuery("#wlp-live-frame").addClass('six_screen');
					}
  
					$('#wlp-live-frame').stop().animate({ width: screen });
					wlp.detect.untarget();
					$('#wlp-curent-screen-view').html( screen );
	
				},
				
				switch : function(e){
					if( $(this).find('.toggle').hasClass('disable') ){
						$(this).find('.toggle').removeClass('disable');
						$(this).find('.toggle').next().removeClass('edit_peview');
						$(this).find('.toggle').prev().removeClass('edit_btn');
						wlp.detect.frame.$('body').removeClass('wlp-disable-inspect');
						wlp.detect.disabled = false;
					}else{
						$(this).find('.toggle').addClass('disable');
						$(this).find('.toggle').next().addClass('edit_peview');
						$(this).find('.toggle').prev().addClass('edit_btn');
						wlp.detect.frame.$('body').addClass('wlp-disable-inspect');
						wlp.detect.disabled = true;
						wlp.detect.untarget();
					}
					$('#wlp-frame-scroll-pad').hide();
				},
				
				tour : function(e){
					wlp.cfg.tour = '';
					wlp.front.ui.tour();
					e.preventDefault();
				},
				
				exit : function(e){
					window.location.href = $('#wlp-live-frame').attr('src').replace('&wlp_action=live-editor','').replace('?wlp_action=live-editor','');
				},
				
				save : function(){
					
				 //$('body').append('<div id="wlp-preload"><i class="fa fa-spinner fa-spin fa-3x fa-fw"></i></div>');
				 $('body').append('<div id="wlp-preload"><div class="load"><svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="43px" height="46px" viewBox="0 0 86 92" enable-background="new 0 0 86 92" xml:space="preserve"><g><g><path id="ring1" fill="#FFD400" d="M27.02,25.431c11.591,0,21.021,9.228,21.021,20.569s-9.43,20.57-21.021,20.57C15.43,66.57,6,57.342,6,46S15.43,25.431,27.02,25.431 M27.02,19.431C12.098,19.431,0,31.326,0,46c0,14.675,12.098,26.57,27.02,26.57c14.924,0,27.021-11.896,27.021-26.57C54.041,31.326,41.944,19.431,27.02,19.431L27.02,19.431z"/></g></g><g><path id="ring2" fill="#F655A0" d="M58.98,44.854c11.59,0,21.02,9.228,21.02,20.569c0,11.343-9.43,20.57-21.02,20.57c-11.592,0-21.021-9.228-21.021-20.57C37.959,54.082,47.389,44.854,58.98,44.854 M58.98,38.854c-14.924,0-27.021,11.896-27.021,26.569c0,14.675,12.097,26.57,27.021,26.57c14.922,0,27.02-11.896,27.02-26.57C86,50.75,73.902,38.854,58.98,38.854L58.98,38.854z"/></g><g><g><path id="ring3" fill="#05A6F3" d="M58.98,5.93C70.57,5.93,80,15.157,80,26.499c0,11.342-9.43,20.57-21.02,20.57c-11.592,0-21.021-9.228-21.021-20.57C37.959,15.157,47.389,5.93,58.98,5.93 M58.98-0.07c-14.924,0-27.021,11.896-27.021,26.569c0,14.675,12.097,26.57,27.021,26.57c14.922,0,27.02-11.896,27.02-26.57C86,11.825,73.902-0.07,58.98-0.07L58.98-0.07z"/></g></g></svg></div></div>');
					
					var exp='';
					var con= $('#wlp-live-frame').contents().find(".wlp_row:not(.wlp_row .wlp_row)") ;
					for (i = 0; i < con.length; i++) { 
					var exp1 =  wlp.backbone.export(con[i].getAttribute('data-model') );
				    beg= exp1.begin;
				     
				    break;
				    }					
						 
					for (i = 0; i < con.length; i++) { 
				
					exp +=  wlp.front.build_shortcode(con[i].getAttribute('data-model'));
					 
			     	//content += exp.begin+exp.content+exp.end;
							          	 
					} 
                     
						  
				   id=getParameterByName('id');
			 
			 $.ajax({
			 type: "POST",
            url: wlp_ajax_url,
            data: {
            'action':'wlp_ajax_request',
            'content' : exp,
			'id':id
			
			
        },
        success:function(data) {
            $('body #wlp-preload').remove();
			$('body .m-p-overlay').remove();
		 setTimeout(function() {
			 
		 $('body').append('<div class="m-p-overlay"><span>All changes saved<span></div>');
	    $('body').find('.m-p-overlay').stop().
	    css({display: 'block', opacity: 0}).
	    animate({opacity: 1}, 250).
	    delay(2000).
	    animate({opacity:0, bottom: -1}, function(){
	    $(this).css({display: 'none'});
		});
	}, 100); 
        },
        error: function(errorThrown){
            console.log(errorThrown);
        }
    }); 
				}
				
			});
			
		},
		
		load : function( frame_doc ){
			
			// onload event
				
		},
		
		params : {
		
			before_save : function( pop ){
					
				var model = pop.data('model');
				if( wlp.storage[ model ] !== undefined && 
					wlp.storage[ model ].args !== undefined && 
					wlp.storage[ model ].args.css !== undefined 
				){
					css = wlp.storage[ model ].args.css.split('|')[0];
					wlp.front.ui.style.remove( '.'+css );
				}
				
				pop.data({ active_scroll : pop.find('.m-p-body').scrollTop() });
	
			},
			
			save : function( pop ){
					
				var model = typeof(pop) == 'number' ? pop : pop.data('model'),
					name = (wlp.storage[model]!==undefined)?wlp.storage[model].name:'',
					el = wlp.frame.$('[data-model="'+model+'"]')
					code = wlp.front.build_shortcode( model );
					
				if( wlp.storage[model] === undefined )
					return;
					
				if( wlp_maps_view.indexOf( name ) > -1 ){
					var ob = wlp.detect.closest( el.parent().get(0) );
					model = ob[1];
					name = wlp.storage[model].name;
					code = wlp.front.build_shortcode( model );
					setTimeout( function(pop){ pop.remove(); }, 1, pop );
					$('#wlp-inspect-breadcrumns').html('');
					$('#wlp-frame-scroll-pad').hide();
				}
				
				if( code !== '' ){
					
					wlp.tools.popup.no_close = true;
					
					var active = wlp.frame.$('[data-model="'+model+'"]').data('tab-active'),
						fid = wlp.front.push( code, model, 'replace' ),
						el = wlp.frame.$('[data-model="'+fid+'"]');
					
					if( wlp_maps_views.indexOf( name ) > -1 && active !== undefined ){
						el.find('>div.wlp_accordion_section>h3.wlp_accordion_header>a,>.wlp_wrapper>.ui-tabs-nav>li').
							eq( active-1 ).trigger('click').trigger('mouseover');
					}
						
					pop.data({ model : fid });
					$('#wlp-inspect-breadcrumns>ul>li.item.active').data({'e-model': fid});
					
					pop.find('.wlp-pop-tabs>li').eq( pop.data('tab_active') ).trigger('click');
					
					if( pop.data('active_scroll') !== undefined ){
						pop.find('.m-p-body').scrollTop( pop.data('active_scroll') );
					}
					 
				 
					if( pop.find('.sl-check.sl-func').css('visibility') == 'hidden' )
						return;
						
					 //pop.find('.sl-check.sl-func, button.save').css({visibility: 'hidden'});
				 
						 /*$('body').append('<div class="m-p-overlay"><span>All changes saved<span></div>');
					     $('body').find('.m-p-overlay').stop().
						 css({display: 'block', opacity: 0}).
						 animate({opacity: 1, top: screen.height-200 }, 150).
						 delay(2000).
					    animate({opacity:0, bottom: -1}, function(){
						 	$(this).css({display: 'none'});
					 	$(this).closest('.wlp-params-popup').find('.sl-check.sl-func, button.save').attr({style:''});
						 });*/
					
				}
			},
			
			cancel : function(){
				wlp.detect.locked = false;
				wlp.detect.clicked = false;
				$('#wlp-live-frame').css({left:'0px'});
				$('#wlp-frame-scroll-pad').hide();
				$('#wlp-inspect-breadcrumns>ul>li.item.active').removeClass('active');
			}
			
		},
		
		build_shortcode : function( model ){
			
			var string = css = '';
			if( model !== null && wlp.storage[ model ] !== undefined ){
				string += '['+wlp.storage[ model ].name;
				for( var n in wlp.storage[ model ].args ){
					if( n !== 'content' && n !== 'css_data' ){
						
						if( n == 'css' ){
							
							css = wlp.storage[ model ].args.css;
							
							if( wlp.storage[ model ].args.css_data !== undefined )
								css = ' css="'+wlp.tools.esc_attr( wlp.storage[ model ].args.css )+'|'+wlp.storage[ model ].args.css_data+'"';
							else if( css.indexOf('|') > -1 )
								css = ' css="'+wlp.tools.esc_attr( css )+'"';
							else css = '';
							
							string += css;
							
						}else{
							string += ' '+n+'="'+wlp.tools.esc_attr( wlp.storage[ model ].args[n] )+'"';
						}
							
					}
				}
				string += ']';
				
				wlp.front.export( model );
				
				if( wlp.storage[ model ].args.content !== undefined && wlp.storage[ model ].end !== undefined ){
					string += wlp.storage[ model ].args.content+wlp.storage[ model ].end;
				}
			}
			
			return string;
				
		},
		
		do_shortcode : function( input, callback ){
		
			if( input === undefined  )
				return null;
		
			var regx = new RegExp( '\\[(\\[?)(' + wlp.tags + ')(?![\\w-])([^\\]\\/]*(?:\\/(?!\\])[^\\]\\/]*)*?)(?:(\\/)\\]|\\](?:([^\\[]*(?:\\[(?!\\/\\2\\])[^\\[]*)*)(\\[\\/\\2\\]))?)(\\]?)', 'g' ), result, agrs, content = input;
		
			var split_arguments = /([a-zA-Z0-9\-\_]+)="([^"]+)+"/gi;
			var output = input;
			
			while ( result = regx.exec( input ) ) {

				var paramesArg 	= [];
				while( agrs = split_arguments.exec( result[3] ) ){
					if(  agrs[1] != '__name' &&  agrs[1] != '__content' && agrs[2] !== '__empty__' )
						paramesArg[ agrs[1] ] = agrs[2];
				}
				
				var args = {
					full		: result[0],
					name 		: result[2],
					/*parames 	: result[3],*/
					/*content 	: result[5],*/
					end		 	: result[6],
					atts	 	: paramesArg,
					/*input		: input,
					result		: result*/
				};
				
				if( undefined !== result[5] && '' !== result[5] ){
					args.content = wlp.front.process_alter( result[5], result[2] );
				}
				
				output = output.replace( result[0], wlp.front.do_shortcode_tag( args, callback ) );
				
			}
			
			return output;
			
		},
		
		do_shortcode_tag : function( atts, callback ){
			
			var selector = '';
			
			if( atts.content !== undefined && atts.content !== '' ){
				atts._content = atts.content; 
				atts.content = this.do_shortcode( atts.content, callback ); 
			}
			
			if( atts['atts']['css'] === undefined ){
				selector = 'wlp-css-'+parseInt( Math.random()*1000000 );
				atts['atts']['css'] = selector;
			}else{
				selector = atts['atts']['css'].split('|');
				atts['atts']['css'] = selector[0];
				atts['atts']['css_data'] = selector[1];
			}
			
			var result = wlp.template( atts['name'], atts );
			
			wlp.model++;
			var model = wlp.model;
			
			wlp.storage[ model ] = {
				name : atts['name'],
				args : atts['atts'],
				full : atts['full'],
			}
			
			if( callback !== undefined && 
				atts.callback !== undefined && 
				typeof( atts.callback ) == 'function' 
			){
				atts.model = model;
				callback.push( atts );
			}
			
			if( atts['end'] !== undefined ){
				wlp.storage[ model ].end = atts['end'];
				wlp.storage[ model ].args.content = atts._content;
				delete wlp.storage[ model ].args._content;
			}
			
			wlp.front.ui.style.process( atts['atts'] );
			
			if( result !== null && result !== undefined )
				return '<!--or s '+model+'-->'+result.trim()+'<!--or e '+model+'-->';
			else return '<div class="wlp-element wlp-undefined-layout wlp-loadElement-via-ajax" data-model="'+model+'"><span><i class="fa-spinner fa-spin fa-2x"></i><br /><h3>'+atts['name'].replace('wlp','').replace(/\_/g,' ')+'</h3></span></div>';
				
		},
		
		process_alter : function( input, tag ){
	
			/* remove ### of containers loop */
			var start = input.indexOf('['+tag+'#');
			if( start > -1 ){
				var str = input.substring( start+1, input.indexOf( ']', start ) ).split(' ')[0];
				var exp = new RegExp( str, 'g' );
				input = input.replace( exp, tag);
			}
	
			return input;
	
		},
		
		loop_box : function( items ){
		
			if( typeof( items ) != 'object' )
				return '';
		
			var output = '';
			
			for( var n in items ){
				
				if( items[n]['tag'] == 'image' )
					items[n]['tag'] = 'img';
				if( items[n]['tag'] == 'icon' )
					items[n]['tag'] = 'i';
				if( items[n]['tag'] == 'column' )
					items[n]['tag'] = 'div';
				
				if( typeof( items[n] == 'object' ) && items[n]['tag'] != 'text' ){
		
					output += '<'+items[n]['tag'];
					
					if( typeof( items[n]['attributes'] ) != 'object' )
						items[n]['attributes'] = {};
		
					if( items[n]['attributes']['class'] === undefined )
						items[n]['attributes']['class'] = '';
		
					if( items[n]['tag'] == 'column' )
					{
						items[n]['attributes']['class'] += ' '+items[n]['attributes']['cols'];
						delete items[n]['attributes']['cols'];
					}else if( items[n]['tag'] == 'img' && ( items[n]['attributes']['src'] === undefined || items[n]['attributes']['cols'] === '' ) )
						items[n]['attributes']['cols'] = plugin_url+'/assets/images/get_logo.png';
		
					for( var at in items[n]['attributes'] )
					{
						if( items[n]['attributes'][at] !== '' )
							output += ' '+at+'="'+items[n]['attributes'][at]+'"';
					}
		
					if( items[n]['tag'] == 'img' )
						output += '/';
		
					output += '>';
		
					if( typeof( items[n]['children'] ) == 'object' )
						output += wlp.front.loop_box( items[n]['children'] );
		
					if( items[n]['tag'] != 'img' )
						output += '</'+items[n]['tag']+'>';
		
				}else output += items[n]['content'];
		
			}
		
			return output;
	
		},
		
		ui : {
			
			bag : {},
						
			delay : [ 100 ],
			
			init : function(){
				
				var el = wlp.frame.$('#wlp-element-placeholder .move, #wlp-sections-placeholder .move').each(function(){
					this.setAttribute('droppable', 'true');
			        this.setAttribute('draggable', 'true');
					this.addEventListener( 'dragstart', wlp.front.ui.events.dragstart, false);
				});
				
				var row = wlp.detect.frame.contents.find('#wlp-row-placeholder .move').get(0);
				row.setAttribute('droppable', 'true');
		        row.setAttribute('draggable', 'true');
				row.addEventListener( 'dragstart', this.events.row_dragstart, false);
				
				wlp.detect.frame.doc.addEventListener( 'dragover', this.events.dragover, false);
				wlp.detect.frame.doc.addEventListener( 'dragend', this.events.dragend, false);
				wlp.detect.frame.doc.addEventListener( 'drop', this.events.drop, false);
				
				this.style.sheet = wlp.detect.frame.$('#wlp-css-render').get(0).sheet;
				
				$('#wpbody-content').on( 'click', function(e){
					
					if( e.target.id == 'wpbody-content' )
						wlp.detect.untarget();
						
				});
				
				wlp.views.column.apply_all = wlp.front.ui.column.responsive_all;
				
				wlp.tools.popup.margin_top = -40;
					
			},
			
			events : {

				dragstart : function( e ){
					
					/**
					*	We will get the start element from mousedown of columnsResize
					*/
					
					var u = wlp.front.ui, model = wlp.get.model( this );
					
					if( wlp.detect.holder.el === null && wlp.detect.holder.sections.el === null ){
						e.preventDefault();
						return false;
					}
					
					u.bag.e = wlp.frame.$('[data-model="'+model+'"]').get(0);				
					u.bag.e.classList.add('wlp-ui-placeholder');
					u.bag.model = model;
					
					wlp.detect.frame.$('body').addClass('wlp-ui-dragging');
					
			        e.dataTransfer.effectAllowed = 'move';
			        e.dataTransfer.dropEffect = 'none';

			        if( e.dataTransfer !== undefined && typeof  e.dataTransfer.setData == 'function' )
			        	e.dataTransfer.setData('text/plain', 'wpleadpages.Com');

				    if( e.dataTransfer !== undefined && typeof  e.dataTransfer.setDragImage == 'function' ){
						e.dataTransfer.setDragImage(
							wlp.frame.$( '#wlp-ui-handle-image' ).get(0), 25, 25
						);
					}

				},
				
				row_dragstart : function( e ){
					
					var model = wlp.get.model( this );
					
					var u = wlp.front.ui;
					
					if( wlp.detect.holder.row.el === null ){
						e.preventDefault();
						return false;
					}
					
					u.bag.e = wlp.detect.holder.row.el;					
					u.bag.e.classList.add('wlp-ui-placeholder');
					u.bag.model = model;
					
					$('body').addClass('wlp-ui-dragging');
					
			        e.dataTransfer.effectAllowed = 'move';
			        e.dataTransfer.dropEffect = 'none';

			        if( e.dataTransfer !== undefined && typeof  e.dataTransfer.setData == 'function' )
			        	e.dataTransfer.setData('text/plain', 'wpleadpages.Com');

				    if( e.dataTransfer !== undefined && typeof  e.dataTransfer.setDragImage == 'function' ){
						e.dataTransfer.setDragImage(
							wlp.frame.$( '#wlp-ui-handle-image' ).get(0), 25, 25
						);
					}
					
					setTimeout( wlp.detect.untarget, 10 );
					
				},
				
				dragover : function( e ){
					
					var u = wlp.front.ui;

					if( u.bag.e === null ){

						e.preventDefault();
						return false;

					}else if( wlp.detect.holder.el !== null || wlp.detect.holder.sections.el !== null ){
						wlp.detect.untarget();
					}
					
					
					// Slow down each process when dragging
					
					if( u.delay[1] !== true ){
						if( u.delay[2] !== true ){
							
							u.delay[2] = true;
							
						}else{
							
							u.delay[1] = true;
							setTimeout( function(){
	
								wlp.front.ui.delay[1] = false;
								wlp.front.ui.delay[2] = false;
	
							}, u.delay[0] );
	
							e.preventDefault();
							return false;
						}
					}else{
						e.preventDefault();
						return false;
					}

					if(!e) e = window.event;
					
					if( wlp.storage[u.bag.model] !== undefined ){
						if( wlp.storage[u.bag.model].name == 'wlp_row' )
							return wlp.front.ui.events.row_dragover( e, u );
						//if( wlp.storage[u.bag.model].name == 'wlp_row_inner' )
							//return wlp.front.ui.events.row_inner_dragover( e, u );
					}
					
					u.bag.t = wlp.detect.closest( e.target );
					
					if( u.bag.t === null || 
						( 
							!wlp.detect.is_element( u.bag.t[1] ) && 
							u.bag.t[1] != '-1'
						) || 
						$.contains( u.bag.e, u.bag.t[0] ) ){

						// prevent actions when hover it self or hover its children
						e.preventDefault();
						return false;

					}else{

						u.bag.r = u.bag.t[0].getBoundingClientRect();
							
						u.bag.b = (u.bag.r.height/3);
						if( u.bag.b < 100 )
							u.bag.b = u.bag.r.height/2;
							
						if( (u.bag.r.bottom-e.clientY) < u.bag.b ){

							if( u.bag.t[0].nextElementSibling != u.bag.e ){
								$( u.bag.t[0] ).after( u.bag.e );
								wlp.ui.preventFlicker( e, u.bag.e );
							}

						}else if( (e.clientY-u.bag.r.top) < u.bag.b ){

							if( u.bag.t[0].previousElementSibling != u.bag.e ){
								$( u.bag.t[0] ).before( u.bag.e );
								wlp.ui.preventFlicker( e, u.bag.e );
							}
						}
						
					}

					e.preventDefault();
					return false;
				},

				row_dragover : function( e, u ){
					
					u.bag.t = wlp.detect.closest( e.target );
				
					while( u.bag.t !== null && wlp.storage[ u.bag.t[1] ] !== undefined ){
						
						if( wlp.storage[ u.bag.t[1] ].name == 'wlp_row' )
							break;
						
						u.bag.t = wlp.detect.closest( u.bag.t[0].parentNode );
					}
					
					if( u.bag.t === null || ( wlp.storage[ u.bag.t[1] ] !== undefined && wlp.storage[ u.bag.t[1] ].name != 'wlp_row' ) ){

						// prevent actions when hover it self or hover its children
						e.preventDefault();
						return false;

					}else{
						
						u.bag.r = u.bag.t[0].getBoundingClientRect();
							
						u.bag.b = (u.bag.r.height/3);
						if( u.bag.b < 100 )
							u.bag.b = u.bag.r.height/2;
							
						if( (u.bag.r.bottom-e.clientY) < u.bag.b ){

							if( u.bag.t[0].nextElementSibling != u.bag.e ){
								$( u.bag.t[0] ).after( u.bag.e );
								wlp.ui.preventFlicker( e, u.bag.e );
							}

						}else if( (e.clientY-u.bag.r.top) < u.bag.b ){

							if( u.bag.t[0].previousElementSibling != u.bag.e ){
								$( u.bag.t[0] ).before( u.bag.e );
								wlp.ui.preventFlicker( e, u.bag.e );
							}
						}
						
					}

					e.preventDefault();
					return false;
				},				
				
				row_inner_dragover : function( e, u ){
					
					u.bag.t = wlp.detect.closest( e.target );
				
					while( u.bag.t !== null && wlp.storage[ u.bag.t[1] ] !== undefined ){
						
						if( u.bag.t[0].parentNode === u.bag.e.parentNode )
							break;
						
						u.bag.t = wlp.detect.closest( u.bag.t[0].parentNode );
					}
					
					if( u.bag.t === null || 
						( wlp.storage[ u.bag.t[1] ] !== undefined && u.bag.t[0].parentNode !== u.bag.e.parentNode ) 
					){

						// prevent actions when hover it self or hover its children
						e.preventDefault();
						return false;

					}else{
						
						u.bag.r = u.bag.t[0].getBoundingClientRect();
							
						u.bag.b = (u.bag.r.height/3);
						if( u.bag.b < 100 )
							u.bag.b = u.bag.r.height/2;
							
						if( (u.bag.r.bottom-e.clientY) < u.bag.b ){

							if( u.bag.t[0].nextElementSibling != u.bag.e ){
								$( u.bag.t[0] ).after( u.bag.e );
								wlp.ui.preventFlicker( e, u.bag.e );
							}

						}else if( (e.clientY-u.bag.r.top) < u.bag.b ){

							if( u.bag.t[0].previousElementSibling != u.bag.e ){
								$( u.bag.t[0] ).before( u.bag.e );
								wlp.ui.preventFlicker( e, u.bag.e );
							}
						}
						
					}

					e.preventDefault();
					return false;
				},

				_drag : function( e ){

					var atts = $(this).data('atts'),
						h = atts.helperClass,
						p = atts.placeholder,
						el = wlp.ui.elm_drag ;

					if( h !== '' && el !== null ){

						if( el.className.indexOf( h ) > -1 ){

							$( el ).removeClass( h );

							if( p !== '' )
								$( el ).addClass( p );
						}
					}

					if( typeof atts.drag == 'function' )
						atts.drag( e, this );

					e.preventDefault();
					return false;

				},

				_dragleave : function( e ){

					var atts = $(this).data('atts');

					if( typeof atts.leave == 'function' )
						atts.leave( e, this );

					e.preventDefault();
					return false;
				},

				dragend : function( e ){
					
					if( wlp.front.ui.bag.e !== undefined )
						wlp.front.ui.bag.e.classList.remove('wlp-ui-placeholder');
					$('body').removeClass('wlp-ui-dragging');
					e.preventDefault();
					wlp.detect.clicked = false;
					wlp.detect.locked = false;
					return false;

				},

				drop : function( e ){

					e.preventDefault();
					return false;

				}

			},
			
			column : {
				
				width_calc : function( wid ){
					
					if( wid === undefined )
						wid = '12/12';
					
					wid = wid.split('/'); 
					var n = 12, m = 12;
					
					if( wid[0] !== undefined && wid[0] !== '' )
						n = wid[0];
					
					if( wid[1] !== undefined && wid[1] !== '' )
						m = wid[1];
					
					if( n == '2.4'){
						return 2.4;
					}else{
						n = parseInt( n );
						if ( n > 0 && m > 0 ){
							var calc = 12/(m/n);
							if( calc > 0 && calc <= 12 )
								return calc;
						}
					}
					
					return 12;
					
				},
				
				width_class : function( wid ){
					
					wid = this.width_calc( wid );
					
					if( wid === 2.4 )
						return 'wlp_col-of-5';
					else return 'wlp_col-sm-'+wid;
					
				},
				
				change_width : function( model, wid ){
					
					var wd = this.width_calc(  wlp.storage[ model ].args.width ), _$ = wlp.detect.frame.$;
					
					if( ( wd <= 1 && wid === -1 ) || ( wd >= 12 && wid === 1 ) || wd === 2.4 )
						return false;
						
					_$( '[data-model="'+model+'"]' ).removeClass( this.width_class( wlp.storage[ model ].args.width ) );
					
					wlp.storage[ model ].args.width = (this.width_calc( wlp.storage[ model ].args.width ) + wid )+'/12';
						
					_$( '[data-model="'+model+'"]' ).addClass( this.width_class( wlp.storage[ model ].args.width ) );
					
					wlp.detect.columnsWidthChanged = true;
					
					return true;
					
				},
				
				layout : function( el ){
					
					var model = el.data('e-model');
					if( wlp.storage[model] === undefined || ['wlp_row', 'wlp_row_inner'].indexOf( wlp.storage[model].name ) === -1 )
						return;
							
					var columns = wlp.frame.$('[data-model="'+model+'"] [data-model]');
					
					if( columns.length === 0 )
						return;
					
					var count = 0, col = columns.get(0), mol;
					columns = [];
					while( col !== undefined && col !== null ){
						mol = col.getAttribute( 'data-model' );
						if( mol !== null &&  wlp.storage[ mol ] !== undefined && ( wlp.storage[ mol ].name == 'wlp_column' ||  wlp.storage[ mol ].name == 'wlp_column_inner' ) )
							columns.push( col );
						col = col.nextElementSibling;
					}
					
					var pop = wlp.tools.popup.render( 
								el.find('span.pointer').get(0), 
								{ 
									title: 'Row Layout', 
									class: 'no-footer row_layout',
									width: 341,
									content: wlp.template( 'row-columns', {current:columns.length} ),
									help: 'http://docs.wpleadpages.com/documentation/resize-sortable-columns/?source=client_installed' 
								}
							), rect = el.find('span.pointer').get(0).getBoundingClientRect();
					
					pop.css({ left: (rect.left-63+(rect.width/2))+'px', top: '32px', zIndex: 1000000 });
						
					pop.find('.button').off('click').on( 'click', 
						{ 
							model: model,
							columns: columns,
							pop: pop
						}, 
						wlp.front.ui.column.set_columns 
					);
					
					pop.find('input[type=checkbox]').on('change',function(){
						
						var name = $(this).data('name');
						if( name == undefined )
							return;
							
						if( this.checked == true )
							wlp.cfg[ name ] = 'checked';
						else wlp.cfg[ name ] = '';
						
						wlp.backbone.stack.set( 'wlp_Configs', wlp.cfg );
							
					});	
					
				},
				
				set_columns : function( e ){
					
					var newcols = $(this).data('column'),
						uc = wlp.front.ui.column,
						_$ = wlp.detect.frame.$,
						columns = _$(e.data.columns),
						wrow = columns.eq(0).parent(),
						colWidths = [],
						model;
					
						
					if( newcols == 'custom' ){
						
						newcols = $(this).parent().find('input').val();
						if( newcols === '' || ( newcols.indexOf('%') === -1 && newcols.indexOf('/') === -1 ) ){
							alert('Invalid value, it must be some thing like: 40%+60%');
							return;
						}
						
						newcols = newcols.split('+');
						if( newcols.length > 10 ){
							alert('Maximum 10 columns, you entered '+newcols.length+' columns');
							return;
						}
						var totalcols = 0;
						for( i=0; i<newcols.length; i++ ){
							
							colWidths[i] = newcols[i].trim();
							
							if( colWidths[i].indexOf('/') > -1 ){
								colWidths[i] = colWidths[i].split('/');
								colWidths[i] = wlp.tools.nfloat( (parseFloat( colWidths[i][0] )/parseFloat( colWidths[i][1] ))*100 );
							}else if( colWidths[i].indexOf('%') > -1 ){
								colWidths[i] = parseFloat( colWidths[i] );
							}
							
							totalcols += parseFloat( colWidths[i] );
							
						}
						
						if( totalcols > 100 || totalcols < 99 ){
							alert("\nTotal is incorrect: "+totalcols+"%, it must be 100%\n");
							return;
						}
						
						newcols = newcols.length;
						
					}else{
						
						newcols = parseInt( newcols );
						
						for( i=0; i<newcols; i++ ){
							colWidths[i] = wlp.tools.nfloat( 100/newcols );
						}
						
					}
					
					if( columns.length < newcols ){
						
						/* Add new columns */
						var id = columns.last().data('model'), el, reInit = false;
						
						for( var i = 0; i < (newcols-columns.length) ; i++ ){
							
							var dobl = wlp.front.ui.element.double( columns.last().data('model') );
							
							if( wlp.cfg['columnDoubleContent'] != 'checked' ){
								
								dobl.find('[data-model]').each(function(){
									if( this.getAttribute('data-model') != '-1' ){
										delete wlp.storage[this.getAttribute('data-model')];
										_$(this).remove();
									}
								});
								
							}
							
						}
							
					}else
					{
						/* Remove columns */
						var remove = [], found_empty, el, last, plast;
						
						for( var i = 0; i < (columns.length-newcols) ; i++ ){
						
							found_empty = false;
							wrow.find(' > [data-model]').each(function(){
								if( _$(this).find('[data-model]').length === 1 )
									found_empty = this;
							});
						
							if( found_empty !== false ){
								_$(found_empty).remove();
						
							}else{
						
								last = wrow.find(' > [data-model]').last();
								plast = last.prev();
								
								plast = plast.find('[data-model]').first().parent();
								
								if( wlp.cfg['columnKeepContent'] == 'checked' ){
									
									el = last.find('[data-model]').get(0).parentNode.children;
									[].forEach.call( el, function( elm ){
										
										if( elm.getAttribute('data-model') !== undefined && elm.getAttribute('data-model') != '-1' )
											plast.append( elm );
									});
									
								}
								
								wlp.front.clean_storage( last.data('model') );
								last.remove();
								
							}		
						}
						
					}
					
					i = 0;
					wrow.find('>[data-model]').each(function(){
							
						model = _$(this).data('model');
						
						_$( '[data-model="'+model+'"]' ).
							removeClass( uc.width_class( wlp.storage[ model ].args.width ) ).
							removeClass('wlp_col-of-5').
							css({width: colWidths[i]+'%' });
							
						wlp.storage[ model ].args.width = colWidths[i]+'%';
						
						wlp.detect.columnsWidthChanged = true;
						i++;
						
					});
					
					e.data.pop.remove();
					wlp.detect.untarget();
					
				},
				
				responsive_all : function( el ){
					
					var model = wlp.get.model(el), 
						res = wlp.storage[model].args.responsive,
						col = wlp.detect.frame.$('[data-model="'+model+'"]').get(0),
						pcol = col.previousElementSibling,
						ncol = col.nextElementSibling;
					
					wlp.front.ui.style.update_responsive( model );
					
					while( pcol !== null ){
						if( pcol.getAttribute('data-model') !== null ){
							wlp.storage[ pcol.getAttribute('data-model') ].args.responsive = res;
							wlp.front.ui.style.update_responsive( pcol.getAttribute('data-model') );
							pcol = pcol.previousElementSibling;
						}else pcol = pcol.previousElementSibling;
					}
					while( ncol !== null ){
						if( ncol.getAttribute('data-model') !== null ){
							wlp.storage[ ncol.getAttribute('data-model') ].args.responsive = res;
							wlp.front.ui.style.update_responsive( ncol.getAttribute('data-model') );
							ncol = ncol.nextElementSibling;
						}else ncol = ncol.nextElementSibling;
					}
					
					setTimeout( wlp.detect.untarget, 100 );
					
				}
				
			},
			
			element : {
				
				edit : function( model, e ){
					
					if( wlp.storage[model] !== undefined && wlp.storage[model].args.css_data !== undefined &&
					    wlp.storage[model].args.css !== undefined && wlp.storage[model].args.css.indexOf('|') === -1 
					){
						wlp.storage[model].args.css += '|'+wlp.storage[model].args.css_data;
					}
					
					var el = wlp.detect.frame.contents.find('[data-model="'+model+'"]').get(0), 
						name = wlp.storage[model].name,
						pop = wlp.backbone.settings( el, { 
								scrollTo: false, 
								success_mesage: '<i class="fa-check"></i> '+wlp.__.i50,
								noscroll: 'yes'
							});
					if( wlp.storage[model].name =='wlp_column_text' ){
						
						pop.data({ 'on_editwlp_change': function( raw ){
							if( wlp.cfg.live_preview !== false ){
								wlp.storage[model].args.content = raw;
								wlp.frame.$('[data-model="'+pop.data('model')+'"]').html( raw );
							}
						} });
					}
					wlp.tools.popup.callback( pop, {
						before_callback : wlp.front.params.before_save, 
						after_callback : wlp.front.params.save, 
						cancel : wlp.front.params.cancel
					});
					
					wlp.detect.clicked = true;
					
					wlp.detect.frame.contents.find('.wlp-boxholder, .wlp-boxholder div').attr({style:''});
					
					wlp.front.ui.element.popup_to_sidebar( pop, el, e );
					
					wlp.detect.locked = true;
					
					setTimeout( function( pop ){
	
						wlp.tools.popup.callback( pop, {
							
							change : function( el, pop ){
								
								var model = pop.data('model');
								
								if( pop.find('.wlp-pop-tabs').length > 0 ){
									if( pop.find('.wlp-pop-tabs li.active').data('tab') != 'fields-edit-form' ){
										
										wlp.front.ui.style.element( wlp.frame.doc.querySelectorAll('[data-model="'+model+'"]')[0], model, [el.name, el.value] );
										return;	
									}
								}
								
								if( wlp.cfg.live_preview === false || 
									( el.classList !== undefined && el.classList.contains('m-p-rela') ) )
										return;	
									
								pop.find('button.button.save').trigger('click');	
								
							}
						});
					}, 100, pop );
					
					if( wlp.detect.bone.indexOf( name ) > -1 ||
						document.getElementById('tmpl-or-'+name+'-template') === null )
							return;
					
					var lp_btn = $('<li><button class="button button-large preview"><input type="checkbox"> '+wlp.__.i52+'</button></li>');
					pop.find('.m-p-footer .m-p-controls').append( lp_btn );
					
					if( wlp.cfg.live_preview !== false )
						lp_btn.find('input').attr({checked: true});
					
					lp_btn.on('click', function( e ){
						
						if( e.target.tagName == 'INPUT' ){
							
							if( e.target.checked === true ){
								wlp.cfg.live_preview = true;
								wlp.get.popup( this, 'save' ).trigger('click');
								
							}else wlp.cfg.live_preview = false;
							
							wlp.backbone.stack.set( 'wlp_Configs', wlp.cfg );
							
							return;
						}
						
						if( $(this).find('input').get(0).checked === false ){
							$(this).find('input').attr({checked: true});
							wlp.cfg.live_preview = true;
							wlp.get.popup( this, 'save' ).trigger('click');
							
						}else{ 
							wlp.cfg.live_preview = false;
							$(this).find('input').attr({checked: false});
						}
						
						wlp.backbone.stack.set( 'wlp_Configs', wlp.cfg );
						
					});
						
				},
				
				double : function( model ){
					
					var el = wlp.detect.frame.contents.find('[data-model="'+model+'"]').get(0);
						code = wlp.front.build_shortcode( model );
					
					if( el !== null && el !== undefined && code !== '' ){
						
						wlp.model++;
						
						var callback = [],
							elm = $( wlp.front.do_shortcode( code, callback ) ),
							wrp = el.parentNode,
							name = wlp.storage[model].name;
						
						 if( ['wlp_column', 'wlp_column_inner'].indexOf( name ) > -1 ){
							var columns = wlp.frame.$( wrp ).find('>[data-model]');
							if( columns.length >= 10 ){
								alert( wlp.__.i54 );
								return;
							}
						}
						
						$( el ).after( elm );
						
						wlp.detect.wrap_node( wrp );
						
						if( wlp_maps_view.indexOf( name ) > -1 ){
							
							var ob = wlp.detect.closest( wrp );
							if( ob[1] !== undefined )
								wlp.front.params.save( parseInt( ob[1] ) );
							return;
							
						}else if( ['wlp_column', 'wlp_column_inner'].indexOf( name ) > -1 ){
							var cmodel, cwidth = wlp.tools.nfloat( 100/( columns.length+1 ) )+'%';
							wlp.frame.$( wrp ).find('>[data-model]').each(function(){
								cmodel = $(this).data('model');
								if( wlp.storage[ cmodel ] !== undefined ){
									if( wlp.storage[ cmodel ].args !== undefined  )
										wlp.storage[ cmodel ].args.width = cwidth;
									else wlp.storage[ cmodel ].args = { width : cwidth };
								}
								this.style.width = cwidth;
							});
						}
												
						if( callback.length > 0 )
							wlp.do_callback( callback, elm.eq(1) );
						
						wlp.front.element_vs_ajax();
						wlp.detect.untarget();
						
						return elm;
						
					}
					
					return null;
					
				},
				
				copy : function( model ){
					
					var content = wlp.front.build_shortcode(model),
						admin_view = '<strong>Copy from live-editor</strong>', 
						lm = 0, stack = wlp.backbone.stack,
						page = 'live editor', list = stack.get( 'wlp_ClipBoard' ), ish;
	
					if( list.length > wlp.cfg.limitClipboard - 2 ){
	
						list = list.reverse();
						var new_list = [];
						for( var i = 0; i < wlp.cfg.limitClipboard-2; i++ ){
							new_list[i] = list[i];
						}
	
						stack.set( 'wlp_ClipBoard', new_list.reverse() );
	
					}
	
					stack.clipboard.add( {
						page	: page,
						content	: wlp.tools.base64.encode( content ),
						title	: wlp.storage[model].name,
						des		: admin_view
					});
					
					// Push to row stack & OS clipboard
					wlp.backbone.stack.set( 'wlp_RowClipboard', content );
					wlp.tools.toClipboard( content );
					
					wlp.detect.untarget();
					$('body').append('<div id="wlp-small-notice"><i class="fa-check"></i> Copy successful!</div>');
					$('#wlp-small-notice').animate({opacity:1}).delay(1000).animate({opacity:0}, function(){$(this).remove();});
					
				},
				
				add : function( el ){
				
					var pop = wlp.backbone.add( el ), 
						_top = ( ($(window).height()-pop.height())/2 ),
						_left = ( ($(window).width()-pop.width())/2 );
						
					pop.find('.wp-pointer-arrow').remove();
					
					pop.css({top: (_top>50?_top:50)+'px', left: (_left>0?_left:0)+'px'});
					
					wlp.detect.clicked = true;
					wlp.detect.locked = true;
						
					pop.find( 'ul.wlp-components-list-main li').off('click').on( 'click', function(){
						
						var model = wlp.get.model( this ),
						name = $(this).data('name'),
						full = wlp.front.ui.element.from_map( name );
								if(name=="wlp_wp_widget"){
							var c='#wlp-wp-widgets-pop #'+$(this).data("id");
							$('.mcl-wp-widgets').trigger("click");
					        $(c).trigger("click");
					        $('#wpcontent').trigger("click");
                             return;
							 
							}
						var fid = wlp.front.push( full, model, wlp.get.popup(this).data('pos')  );
						
						$(this).closest('.wlp-params-popup').find('.m-p-header .sl-close.sl-func').trigger('click');
						
						wlp.detect.untarget();
						wlp.front.element_vs_ajax();
						
						var last = wlp.detect.frame.doc.querySelectorAll('[data-model="'+fid+'"] [data-model]'), mol;
						
						if( last.length > 0 ){
							for( var i = 0; i < last.length; i++  ){
								mol = last[i].getAttribute('data-model');
								if( mol != '-1' && wlp.storage[ mol ] !== undefined &&
									['wlp_row','wlp_row_inner','wlp_column','wlp_column_inner'].
										indexOf( wlp.storage[ mol ].name ) === -1 
									){ fid = mol; break; }
							}	
						}
						
						if( wlp.detect.bone.indexOf( wlp.storage[fid].name ) === -1 ){
							wlp.detect.build_nav( [ wlp.frame.$('[data-model="'+fid+'"]').get(0), fid ] );
						}
							
					});
					
					return pop;
					
				},
				
				from_map : function( name ){
					
					var maps = wlp.maps[name],
					map_params = wlp.params.merge( name ),
					content = ( typeof( wlp.maps[name].content ) != 'undefined' ) ? wlp.maps[name].content : '',
					full = '['+name;

					for( var i in map_params ){

						if( map_params[i].type == 'random' ){

							full += ' '+map_params[i].name+'="'+parseInt(Math.random()*1000000)+'"';

						}else if( !_.isUndefined( map_params[i].value ) ){
							if( map_params[i].name == 'content' && maps.is_container === true ){
								content = map_params[i].value;
							}else{
								full += ' '+map_params[i].name+'="'+map_params[i].value+'"';
							}
						}
					}

					if( name == 'wlp_wp_widget' )
						full += ' data="'+$(this).data('data')+'"';
					
					full += ']';
					
					if( name == 'wlp_row_inner' ){
						content += '[wlp_column_inner][/wlp_column_inner]';
					}
					
					if( maps.is_container === true ){
						full += content+'[/'+name+']';
					}
					
					return full;
	
				},
				
				popup_to_sidebar : function( pop, el, e ){
					
					pop.addClass('wlp-sidebar-popup');
					
					if( wlp.cfg.pop_width === undefined )
						wlp.cfg.pop_width = 430;
					if( wlp.cfg.pop_left === undefined )
						wlp.cfg.pop_left = 0;
					
					var fleft = 0;
					
					if( e !== undefined ){
						if( e.clientX < (wlp.cfg.pop_width+wlp.cfg.pop_left)){

							fleft = (wlp.cfg.pop_width+wlp.cfg.pop_left) - e.target.getBoundingClientRect().left + 10;
						}
					}
					
					$('#wlp-live-frame').css({ width: $('#wlp-live-frame').get(0).offsetWidth+'px'});	
					 
					pop.css({width: wlp.cfg.pop_width+'px', left: wlp.cfg.pop_left+'px' });
					
					pop.find('.wp-pointer-arrow').on('mousedown', function(e){
						
						if( e.which !== undefined && e.which !== 1 )
							return false;
						
						var mouseUp = function(){
							
							$(document).off('mousemove').off('mouseup');
							$('html,body').css({cursor:''}).removeClass('noneuser overlay-dragging');
							
						},
						
						mouseMove = function( e ){
							
							e.preventDefault();
							var d = e.data;
							d.offset = e.clientX-d.left+d.eleft;
							
							var _w = (d.width+d.offset);
							
							if( _w <= 430 ){
								d.el.style.left = (_w-430)+'px';
								wlp.cfg.pop_left = (_w-430);
								_w = 430;
							}else{
								wlp.cfg.pop_left = 0;
								d.el.style.left = '0px';
							}
							wlp.cfg.pop_width = _w;
							d.el.style.width = _w+'px';
							d.frame.style.left = ((d.fleft+d.offset)>0?(d.fleft+d.offset):0)+'px';
							
						};
							
						$('html,body').css({cursor:'col-resize'}).addClass('noneuser overlay-dragging');
	
						$(document).on( 'mouseup', mouseUp )
								   .on( 'mousemove', {
										
										el: pop.get(0),
										width: parseInt(pop.width()),
										eleft: parseInt(pop.css('left')),
										left: e.clientX,
										frame: $('#wlp-live-frame').get(0),
										fleft: $('#wlp-live-frame').get(0).offsetLeft-wlp.cfg.pop_left,
										offset: 1,
										
									}, mouseMove );

					});
					
					if( $('#wlp-frame-scroll-pad').length === 0 ){
						
						$('body').append('<div id="wlp-frame-scroll-pad" style="visibility:hidden"></div>');
						$('#wlp-frame-scroll-pad').on('mousedown', function(e){
							
							if( e.which !== undefined && e.which !== 1 )
								return false;
							
							$('#wlp-live-frame').addClass('notransition');
							
							$('html,body').css({cursor:'ew-resize'}).addClass('noneuser overlay-dragging');
								
							$(document).on( 'mouseup', function(){
							
								$(document).off('mousemove').off('mouseup');
								$('html,body').css({cursor:''}).removeClass('noneuser overlay-dragging');
								$('#wlp-live-frame').removeClass('notransition');
								
							}).on( 'mousemove', {
									
									el: $('#wlp-live-frame').get(0),
									sleft: parseInt($('#wlp-live-frame').css('left')),
									left: e.clientX,
									offset: 1,
										
								}, function( e ){
								
									e.preventDefault();
									var d = e.data;
									d.offset = e.clientX-d.left;
									var value = d.sleft-d.offset;
									
									if( value < 0 )
										d.el.style.left = '0px';
									else if( value > (wlp.cfg.pop_width+wlp.cfg.pop_left) )
										d.el.style.left = (wlp.cfg.pop_width+wlp.cfg.pop_left)+'px';
									else d.el.style.left = value+'px';	
								
								});
								
						});
						
					}else $('#wlp-frame-scroll-pad').show();
					
				},
				
				add_section : function( model ){
					
					var shortcode = '';
					
					if( model !== null && wlp.storage[ model ] !== undefined ){
						
						shortcode += '['+wlp.storage[ model ].name;
						
						for( var n in wlp.storage[ model ].args ){
							if( n !== 'content' )
								shortcode += ' '+n+'="'+wlp.tools.esc_attr( wlp.storage[ model ].args[n] )+'"';
						}
						shortcode += ']';
						
						wlp.front.export( model );
						
						wlp.storage[ model ].args.content += 
							wlp.front.ui.element.from_map( wlp.maps[ wlp.storage[ model ].name ]['views']['sections'] );
						
						if( wlp.storage[ model ].args.content !== undefined && wlp.storage[ model ].end !== undefined ){
							shortcode += wlp.storage[ model ].args.content+wlp.storage[ model ].end;
						}
					}
					
					var fid = wlp.front.push( shortcode, model, 'replace' );
					wlp.detect.untarget();
					
					wlp.detect.build_nav( [ wlp.frame.$('[data-model="'+fid+'"]').get(0), fid ] );
					
				},
				
			},
			
			scrollAssistive : function( ctop, eff ){

				if( wlp.cfg.scrollAssistive != 1 )
					return false;

				if( typeof ctop == 'object'  ){
					ctop = wlp.detect.frame.$(ctop).get(0);
					if( ctop ){
						
						if( ctop.tagName === 'wlp' && ctop.querySelectorAll('*').length > 0 )
							ctop = ctop.querySelectorAll('*')[0];
							
						var coor = ctop.getBoundingClientRect();
						ctop = (coor.top+wlp.detect.frame.$(wlp.detect.frame.window).scrollTop()-100);
						
					}
				}
				
				if( undefined !== eff && eff === false )
					wlp.detect.frame.$('html,body').scrollTop( ctop );
				else wlp.detect.frame.$('html,body').stop().animate({ scrollTop : ctop });

			},
			
			style : {
				
				sheet : null,
				
				remove : function( selector ){
					
					for( var i in this.sheet.cssRules ){
						if( this.sheet.cssRules[i].selectorText == selector.trim() ){
							if( this.sheet.removeRule )
								this.sheet.removeRule ( i );
							else if( this.sheet.deleteRule )
								this.sheet.deleteRule ( i );
						}
							
					}
					
				},
				
				add : function( selector, rule ){
					
					if( this.sheet.addRule ){
				        this.sheet.addRule( selector, rule );
				    } else if( this.sheet.insertRule ){
				        this.sheet.insertRule(selector + ' { ' + rule + ' }', this.sheet.cssRules.length);
				    }
				    
				},
				
				get : function( selector ){
					
					for( var i in this.sheet.cssRules ){
						if( this.sheet.cssRules[i].selectorText == selector.trim() ){
							return {
								sheet : this.sheet.cssRules[i],
								index : i,
								css : this.sheet.cssRules[i].cssText
							}
						}	
					}
					
					return null;
					
				},
				
				process : function( atts ){
					
					if( atts['css'] !== undefined ){
						
						var css = atts['css'].split('|'), rule = '';
						
						if( atts['css_data'] !== undefined )
							rule = atts['css_data'];
						else rule = css[1];
						
						if( rule !== undefined ){
							wlp.front.ui.style.remove( 'body.wpleadpages .'+css[0] );
							wlp.front.ui.style.add( 'body.wpleadpages .'+css[0], rule );
						}
						
					}
					
				},
				
				responsive : function( rules, selector ){
					
					rules = JSON.parse( wlp.tools.base64.decode( rules ) );
					
					var screen = '', css = '', string = '', brc = ';', offset = '', width = '';
					
					for( var i in rules ){
						
						css = '';
						
						if( rules[i]['screen'] !== undefined && rules[i]['screen'] !== '' ){
							
							screen = rules[i]['screen']
							
							if( screen == 'custom' ){
								if( rules[i]['range'] === undefined )
									continue;
									
								rules[i]['range'] = explode( '|', rules[i]['range'] );
								
								if( rules[i]['range'][1] !== '' && rules[i]['range'][1] !== undefined )
									screen = '(min-width: '+rules[i]['range'][0]+') and (max-width: '+rules[i]['range'][1]+')';
								else continue;
							}
							
							screen = '@media only screen and '+screen.replace( /[^0-9a-z\(\)\:\-\,\.\ ]/g, '' );
							
							if( rules[i]['important'] !== undefined && 
								rules[i]['important'] !== '' && 
								rules[i]['important'] == 'yes' )
									brc = ' !important;';
							
							if( rules[i]['offset'] !== undefined && rules[i]['offset'] !== '' ){
								
								offset = parseInt( rules[i]['offset'] );
								
								if( offset > 0 && offset < 11 ){
									offset = (offset/12)*100;
									css += 'margin-left:'+offset+'%'+brc;
								}
							}
							
							if( rules[i]['columns'] !== undefined && rules[i]['columns'] !== '' ){
								
								width = parseInt( rules[i]['columns'] );
								
								if( width > 0 && width < 13 ){
									width = (width/12)*100;
									css += 'width:'+width+'%'+brc;
								}
							}
							
							if( rules[i]['display'] !== undefined && rules[i]['display'] == 'hide' )
								css += 'display:none'+brc;
								
							if( css !== '' ){
								css = screen+'{body.wpleadpages .'+selector+'{'+css+'}}';
								string += css;
							}
							
						}
					}
					
					return string;

				},
				
				update_responsive( model ){
					
					if( wlp.storage[ model ] === undefined )
						return;
						
					var atts = wlp.storage[ model ].args;
					if( atts['css'] === undefined )
						return;
					
					var css = atts['css'].split('|'), selector = 'wlp-css-'+parseInt( Math.random()*10000 );
					
					wlp.detect.frame.$('.'+css[0]).removeClass( css[0] ).addClass( selector );
						
					wlp.front.ui.style.remove( css[0] );
					
					wlp.storage[ model ].args.css = selector+'|'+css[1];
					
					wlp.front.ui.style.add( selector, css[1] );
					wlp.front.ui.style.responsive( atts['responsive'], selector );
					
					
					
				},
				
				element : function( elm, model, css ){
					
					if( typeof css == 'string' )
						css = css.split(':');
						
					elm.style[css[0]] = css[1];
					
					var st = wlp.storage[model];
					if( st === undefined )
						return;
					
					if( wlp.storage[model].args.css === undefined )
						wlp.storage[model].args.css = 'wlp-css-'+parseInt((Math.random()*1000000));
					
					var data = st.args.css_data ? st.args.css_data.toString().trim().replace(/\ \:/g,':').split(';') : [];
  
					for(var i = 0; i < data.length; i++){
						if( data[i] !== '' ){
							if( data[i].indexOf( css[0]+':' ) >-1 ){
								if( css[0] !== undefined && css[1] !== undefined && css[1] !== '' )
									data[i] = css[0]+': '+css[1];
								else data[i] = '';
								css = '';
								break;
							}
						}
					}
					
					if( css !== '' ){
						data.push( css[0]+': '+css[1] );
					}
					for (var i = 0; i < data.length; i++) {
						if (data[i] === '' ) {         
							data.splice(i, 1);
							i--;
						}
					}
					
					st.args.css_data = data.join(';')+';';
					
				}
				
			},
			
			process_tab_titles : function( data ){
				
				var regx = /wlp_tab\s([^\]\#]+)/gi,
					split = /([a-zA-Z0-9\-\_]+)="([^"]+)+"/gi,
					title = '', adv_title = '', html = '';
				
				while ( result = regx.exec( data._content ) ) {
				
					if( result[0] !== undefined && result[0] !== '' ){
						var atts = [], agrs;
						while( agrs = split.exec( result[0]) ){
							atts[ agrs[1] ] = agrs[2];
						}
						
						title = '';
						adv_title = '';
						if ( atts['title'] !== undefined && atts['title'] !== '' )
							title = atts['title'];
				
						if( atts['advanced'] !== undefined && atts['advanced'] !== '' ){
								
								if( atts['adv_title'] !== undefined && atts['adv_title'] !== '' )
									adv_title = wlp.tools.base64.decode( atts['adv_title'] );
									
								var icon=icon_class=image=image_id=image_url=image_thumbnail=image_medium=image_large=image_full='';
								var svurl = wlp_ajax_url+'?action=wlp_get_thumbn&id=';
								
								if( atts['adv_icon'] !== undefined && atts['adv_icon'] !== '' ){
									icon_class = atts['adv_icon'];
									icon = '<i class="'+atts['adv_icon']+'"></i>';
								}
								
								if( atts['adv_image'] !== undefined && atts['adv_image'] !== '' ){
									image_id = atts['adv_image'];
									image_url = image_full = svurl+image_id+'&size=full';
									image_medium = svurl+image_id+'&size=medium';
									image_large = svurl+image_id+'&size=large';
									image_thumbnail = svurl+image_id+'&size=thumbnail';
									image = '<img src="'+image_url+'" alt="" />';
								}
								
								adv_title = adv_title.replace( /\{icon\}/g, icon ).
											  replace( /\{icon_class\}/g, icon_class ).
											  replace( /\{title\}/g, title ).
											  replace( /\{image\}/g, image ).
											  replace( /\{image_id\}/g, image_id ).
											  replace( /\{image_url\}/g, image_url ).
											  replace( /\{image_thumbnail\}/g, image_thumbnail ).
											  replace( /\{image_medium\}/g, image_medium ).
											  replace( /\{image_large\}/g, image_large ).
											  replace( /\{image_full\}/g, image_full ).
											  replace( /\{tab_id\}/g, atts['tab_id'] );
								
								html += '<li>'+adv_title+'</li>';
									
							}else{ 
							if ( atts['icon'] !== undefined && atts['icon'] !== '' )
								title = '<i class="'+atts['icon']+'"></i> '+title;	
							html += '<li><a href="#'+atts['tab_id']+'">'+title+'</a></li>';
							
						}
				
					}
							
				}

				return html;
					
			},
			
			tour : function(){
				
				if(  wlp.cfg.tour !== undefined && wlp.cfg.tour === 'nope' )
					return;
				
				$('#wlp-tour-show').html('<img src="'+$('#wlp-tours #wlp-tour-nav li[data-media]').first().data('media')+'" />');
				$('#wlp-tours').css({display: 'block'});
				
				wlp.trigger({
					el : $('#wlp-tours'),
					events : {
						'#wlp-tour-nav li:click' : 'nav',
						'#wlp-tour-nope:click' : 'nope',
						'#wlp-tour-close a.tour-next:click' : 'next',
						'#wlp-tour-close a.tour-prev:click' : 'prev',
						'#wlp-tour-close i.fa-times:click' : function(){
							$('#wlp-tours').css({display: 'none'});
							$('body').removeClass('wlp-ui-blur');
						},
						'click' : function(e){
							if( e.target.id == 'wlp-tours' ){
								$('#wlp-tours').css({ display : 'none' });
								$('body').removeClass('wlp-ui-blur');
							}
						}
					},
					nav : function(e){
						if( $(this).data('media') !== undefined ){
							$('#wlp-tours #wlp-tour-nav li.active').removeClass('active');
							$(this).addClass('active');
							$('#wlp-tour-show img').attr({ src : this.getAttribute('data-media') });
						}
					},
					nope : function(e){
						$('#wlp-tours').css({display: 'none'});
						$('body').removeClass('wlp-ui-blur');
						wlp.cfg.tour = 'nope';
						wlp.backbone.stack.set( 'wlp_Configs', wlp.cfg );
						e.preventDefault();
					},
					next : function(e){
						if( $('#wlp-tours #wlp-tour-nav li.active').next().data('media') !== undefined )
							$('#wlp-tours #wlp-tour-nav li.active').next().trigger('click');
						else $('#wlp-tours #wlp-tour-nav li[data-media]').first().trigger('click');
						e.preventDefault();
					},
					prev : function(e){
						if( $('#wlp-tours #wlp-tour-nav li.active').prev().data('media') !== undefined )
							$('#wlp-tours #wlp-tour-nav li.active').prev().trigger('click');
						else $('#wlp-tours #wlp-tour-nav li[data-media]').last().trigger('click');
						e.preventDefault();
					}
				});
				
			},
			
			ask_to_buy : function(){
				
				$('body').addClass('wlp-ui-blur');
				wlp.trigger({
					el: $('#wlp-preload').html( $('#wlp-as-to-buy').html() ),
					'events' : {
						'a.close:click': 'close',
						'a.verify:click': 'verify'
					},
				
					close: function(){
						$('body').removeClass('wlp-ui-blur');
						$('#wlp-preload').remove();
					},
					verify: function( e ){
						
						$('#wlp-preload .wlp-preload-body').append('<div class="pl-loading"><i class="fa fa-spinner fa-spin fa-3x fa-fw"></i></div>');
						
						var sercurity = e.data.el.find('input[name="sercurity"]').val(),
							license = e.data.el.find('input[name="wlp-license-key"]').val().toString();
						
						if( license.length !== 41 ){
							e.data.el.find('p.notice').attr({'class':'notice error'}).html('Your license code is invalid.');
							e.data.el.find('.pl-loading').remove();
							return;
						}
							
						jQuery.post(
		
							wlp_ajax_url,
						
							{
								'action': 'wlp_verify_license',
								'security': sercurity,
								'license': license
							},
						
							function (result) {
								
								if( result == -1 || result == 0 || result.stt == -1 || result.stt == 0 ){
									e.data.el.find('p.notice').attr({'class':'notice error'}).html('Invalid security session! Please reload the page and try again.');
									e.data.el.find('.pl-loading').remove();
									return;
								}else if( result == -2 ){
									e.data.el.find('p.notice').attr({'class':'notice error'}).html('Your license code is invalid (code -2)');
									e.data.el.find('.pl-loading').remove();
									return;
								}else{
									e.data.el.find('.pl-loading').remove();
									if( result.stt == 1 ){
										e.data.el.find('p.notice').attr({'class':'notice success'}).html('<i class="sl-check" style="font-size: 40px;"></i><br /><br />Your domain has been actived successful');
										e.data.el.find('#wlp-preload-footer, input').remove();
										e.data.el.find('h3').html('Congratulation!');
										$('body').append('<script>'+result.code+'</script>');
									}else{
										e.data.el.find('p.notice').attr({'class':'notice error'}).html( result.stt );			
									}
								}
							}
						);
						
					}
				});
			}
			
		},
		
		push : function( full, model, pos ){
			
			var callback = [], elm;
			
			if( model === undefined || wlp.storage[ model ] === undefined ){
				
				full = full.toString().trim();
				// push before wlp-footer
				if( full.indexOf('[wlp_row ') !== 0 && full.indexOf('[wlp_row]') !== 0 )
					full = '[wlp_row][wlp_column width="12/12"]'+full+'[/wlp_column][/wlp_row]';
				elm = $( wlp.front.do_shortcode( full, callback ) );
				wlp.detect.frame.contents.find('#wlp-footers').before( elm );
				wlp.detect.wrap_node( wlp.detect.frame.body );
			
			}else{
				
				elm = wlp.detect.frame.$( wlp.front.do_shortcode( full, callback ) );
				
				var wrp = wlp.detect.frame.$('[data-model="'+model+'"]').get(0);
				if( wrp !== undefined ){
					
					if( pos == 'replace' ){
						
						var pwrp = wrp.parentNode;
						
						$(wrp).after( elm ).remove();
						
						wlp.detect.wrap_node( pwrp );
						
					}else{	
					
						var items = wrp.querySelectorAll('[data-model]');
						
						if( items.length > 0 ){
							
							if( pos == 'top' ){
								$( items[0] ).before( elm );
							}else{
								$( items[ items.length - 1 ] ).after( elm );
							}
							
							wlp.detect.wrap_node( wrp );
							
						}
					}
				}
			}
			
			if( callback.length > 0 )
				wlp.do_callback( callback, elm.eq(1) );
			
			wlp.front.element_vs_ajax();
			
			var fid = elm.get(0);
			if( fid.nodeType === 8 )
				fid = fid.data.replace( /[^0-9]/g,'' );
			else fid = elm.data('model');
			
			elm = wlp.detect.frame.$('[data-model="'+fid+'"]');

			if( pos != 'replace' ){
				elm.addClass('wlp-bounceIn');
				setTimeout( function( target ){ target.removeClass('wlp-bounceIn'); }, 1200, elm );
			}
			
			return fid;
			
		},
		
		export : function( model ){
			
			var string = '', _$ = wlp.detect.frame.$;
			if( model !== null && wlp.storage[ model ] !== undefined ){
				
				if( _$('[data-model="'+model+'"]').find('[data-model]').length > 0 ){
						
					var checked = [], fm;
						
					_$('[data-model="'+model+'"]').find('[data-model]').each(function(){
						fm = this.getAttribute('data-model');
						
						if( fm !== null && fm !== '-1' && checked.indexOf( fm ) === -1 && wlp.front.check_parent( this, model ) === true ){
							string += wlp.front.build_shortcode( fm );
							checked.push( fm );
						}
					});	
					
					wlp.storage[ model ].args.content = string;
				
				}else string = wlp.storage[ model ].args.content;
				
			}else{
				_$('[data-model]').first().parent().find(' > [data-model]').each(function(){
					string += wlp.front.export( _$(this).data('model') );
				});
			}
			
			return string;
				
		},
		
		check_parent : function( el, model ){
			
			el = el.parentNode;
			
			while( el !== null && el !== undefined ){
				if( el.getAttribute('data-model') !== null &&  el.getAttribute('data-model') !== '-1' ){
					if(  el.getAttribute('data-model') == model )
						return true;
					else return false;
				}
				el = el.parentNode;
			}
			return false;
		},
		
		clean_storage : function( model ){
			
			var el = wlp.detect.frame.$('[data-model="'+model+'"]').get(0)
			
			if( el !== undefined ){
				
				var model = el.getAttribute( 'data-model' ), css;
				
				if( wlp.storage[ model ] !== undefined ){
					if( wlp.storage[ model ].args !== undefined && wlp.storage[ model ].args.css !== undefined ){
						css = wlp.storage[ model ].args.css.split('|')[0];
						wlp.front.ui.style.remove( '.'+css );
					}
					delete wlp.storage[ model ];
				}
				
				var els = el.querySelectorAll('[data-model]');
				for( var i = 0; i < els.length; i++ ){
					wlp.front.clean_storage( els[i].getAttribute('data-model') );
				}
			}
		},
		
		element_vs_ajax : function(){
			
			var _$ = wlp.detect.frame.$;
			_$('.wlp-loadElement-via-ajax').each(function(){
				
				if( _$(this).data('is_loaded') === true )
					return;
				else _$(this).data({ 'is_loaded' : true });
				
				_$.post( wlp_ajax_url, {

					'action' : 'wlp_load_element_via_ajax',
					'model' : $(this).data('model'),
					'ID' : (wlp_post_ID !== undefined) ? wlp_post_ID : 0,
					'code' : wlp.tools.base64.encode( wlp.front.build_shortcode( $(this).data('model') ) )
					
				}, function (result) {
					
					if( typeof( result ) != 'object' || result.model === undefined )
						return;
					
					var elm = _$(result.html), wrp = _$('[data-model="'+result.model+'"]').parent();
					_$('div[data-model="'+result.model+'"]').after( elm ).remove();
					
					elm.data({ model: result.model });
					
					wlp.detect.wrap_node( wrp.get(0) );
					
					if( result.callback !== undefined && typeof( result.callback ) == 'object' ){
						for( var i in result.callback )
							result.callback[i].model = result.model;
						wlp.do_callback( result.callback, _$('[data-model="'+result.model+'"]') );
						
					}
					
					if( result.css !== undefined && result.css !== '' ){
						_$('[data-model="'+result.model+'"]').append('<style type="text/css">'+result.css+'</style>');
					}
						
				});
			
			});
			
		}
	 
	}

	$( document ).ready( function(){
		
		if( wlp.init_front_ready === true )
			wlp.front.init();
		
		if(  wlp.cfg.tour === undefined || wlp.cfg.tour !== 'nope' )
		{
			$('body').addClass('wlp-ui-blur');
		}
			
	});
	
	$( window ).on( 'load', function(){
		
		if(  wlp.cfg.tour === undefined || wlp.cfg.tour !== 'nope' )
		{
			$('#wlp-preload>i.fa').remove();
			$('#wlp-preload>#wlp-welcome').css({display: 'block'});
			wlp.trigger({
				el: $('#wlp-preload>#wlp-welcome'),
				events : {
					'.tour:click' : function(e){
						$('#wlp-preload').remove();
						wlp.cfg.tour = '';
						wlp.front.ui.tour();
						e.preventDefault();
					},
					'.nope:click' : function(e){
						$('#wlp-tours').css({display: 'none'});
						$('body').removeClass('wlp-ui-blur');
						$('#wlp-preload').remove();
						wlp.cfg.tour = 'nope';
						wlp.backbone.stack.set( 'wlp_Configs', wlp.cfg );
						e.preventDefault();
					},
					'.enter:click' : function(e){
						$('#wlp-preload').remove();
						$('body').removeClass('wlp-ui-blur');
					},
					'.verify:click' : function(e){
						$('#wlp-preload').remove();
						$('body').removeClass('wlp-ui-blur');
						$('#wlp-front-save').trigger('click');
					}
				}
			});
		}else $('#wlp-preload').remove();
		
	});

} )( jQuery );


jQuery( document ).ready(function() {
 
	jQuery('.origin_front').addClass('admin_origin');
	jQuery('#wlp-live-frame').addClass('hundred_screen');
	
	});
 
 
  function getParameterByName(name, url) {
    if (!url) url = window.location.href;
    name = name.replace(/[\[\]]/g, "\\$&");
    var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
        results = regex.exec(url);
    if (!results) return null;
    if (!results[2]) return '';
    return decodeURIComponent(results[2].replace(/\+/g, " "));
}