<?php
/**
*
*	Wp Lead Pages
*	(c) wpleadpages.com
*
*/
if(!defined('wlp_FILE')){
	header('HTTP/1.0 403 Forbidden');
	exit;
}

$wlp = wpleadpages::globe();

//Cache

foreach(

	array(
		'text' => 'wlp_param_type_text',
		'optinlist_hidden' => 'wlp_param_type_optinlist_hidden',
		'hidden' => 'wlp_param_type_hidden',
		'textarea' => 'wlp_param_type_textarea_raw_html',
		'select' => 'wlp_param_type_select',
		'dropdown' => 'wlp_param_type_select',
		'optin_dropdown' => 'wlp_param_type_optin_select',
		'optinlist_dropdown' => 'wlp_param_type_optinlist_select',
		'textarea_html' => 'wlp_param_type_textarea_html',
		'editor' => 'wlp_param_type_editor',
		'multiple' => 'wlp_param_type_multiple',
		'checkbox' => 'wlp_param_type_checkbox',
		'radio' => 'wlp_param_type_radio',
		'animate_radio' => 'wlp_param_type_animate_radio',
		'optin_radio' => 'wlp_param_type_optin_radio',
		'attach_media' => 'wlp_param_type_attach_media',
		'attach_image' => 'wlp_param_type_attach_image',
		'attach_image_url' => 'wlp_param_type_attach_image_url',
		'attach_images' => 'wlp_param_type_attach_images',
		'colwlp_picker' => 'wlp_param_type_colwlp_picker',
		'icon_picker' => 'wlp_param_type_icon_picker',
		'date_picker' => 'wlp_param_type_date_picker',
		'wlp_box' => 'wlp_param_type_wlp_box',
		'wp_widget' => 'wlp_param_type_wp_widget',
		'css_box_tbtl' => 'wlp_param_type_css_box_tbtl',
		'css_box_border' => 'wlp_param_type_css_box_border',
		'group' => 'wlp_param_type_group',
		'link' => 'wlp_param_type_link',
		'autocomplete' => 'wlp_param_type_autocomplete',
		'number_slider' => 'wlp_param_type_number_slider',
		'random' => 'wlp_param_type_random',
	) as $name => $func ){

	$wlp->add_param_type_cache( $name, $func );
	
}

// Nocache

foreach(

	array(
		'post_taxonomy' => 'wlp_param_type_post_taxonomy',
	) as $name => $func ){

	$wlp->add_param_type( $name, $func );
	
}

function wlp_param_type_text(){
	echo '<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="text" />';
}

function wlp_param_type_hidden(){
	echo '<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="hidden" />';
}

function wlp_param_type_textarea_raw_html(){
?>
	<textarea cols="46" rows="8" class="wlp-row-area wlp-param">{{wlp.tools.base64.decode(data.value) }}</textarea>

	<!--For instant saving, dont change to base64-->
	<textarea name="{{data.name}}"  style="display:none;"class="wlp-param">{{wlp.tools.base64.decode( data.value.replace(/(?:\r\n|\r|\n)/g,'') )}}</textarea>
	<#

		data.callback = function( wrp, $ ){
			var pop = wrp.closest('.wlp-params-popup');
			wlp.tools.popup.callback( pop, { 
				before_callback : function( pop ){
					
					pop.find('textarea.wlp-row-area').each(function(){
						$(this).parent().find( 'textarea.wlp-param' ).val( wlp.tools.base64.encode( this.value ) );
					  $(this).val( wlp.tools.base64.decode( this.value)  );
					}); 
				}
			});
		}

	#>
<?php
}

function wlp_param_type_select(){
?>
		<select class="wlp-param" name="{{data.name}}">
			<# if( data.options ){
				for( var n in data.options ){
					if( typeof data.options[n] == 'array' ||  typeof data.options[n] == 'object' ){
					#><optgroup label="{{n}}"><#
						for( var m in data.options[n] ){
							#><option<#
								if( m == data.value ){ #> selected<# }
								#> value="{{m}}">{{data.options[n][m]}}</option><#
						}
					#></optgroup><#

					}else{

			#><option<#
						if( n == data.value ){ #> selected<# }
					#> value="{{n}}">{{data.options[n]}}</option><#
					}
				}
			} #>
		</select>
<?php
}

function wlp_param_type_optinlist_select(){
?>
		<select class="wlp_optin_list">
			<# if( data.options ){
				for( var n in data.options ){
					if( typeof data.options[n] == 'array' ||  typeof data.options[n] == 'object' ){
					#><optgroup label="{{n}}"><#
						for( var m in data.options[n] ){
							#><option<#
								if( m == data.value ){ #> selected<# }
								#> value="{{m}}">{{data.options[n][m]}}</option><#
						}
					#></optgroup><#

					}else{

			#><option<#
						if( n == data.value ){ #> selected<# }
					#> value="{{n}}">{{data.options[n]}}</option><#
					}
				}
			} #>
		</select>
		
		<input type="hidden" value="{{data.value}}" id="wlp_optin_list_id" class="wlp-param" name="{{data.name}}">
		
		<#
			data.callback = function( el ){
				
				el.find('select').on( 'change', el, function(e){
					var list_id = el.find('select').val();
					el.find('input').val(list_id);
				});
				
				if(el.find('select').val() != ''){
					var responder = el.prev().find('select').val();
					var list_id = el.find('input').val();
					jQuery.ajax({
						url  :  ajaxurl,
						data : { 'action' : 'wlp_get_subscriber_setting', 'responder' : responder },
						type : 'post',
						success : function(result){
							var result = jQuery.parseJSON(result);
							if(result.error){
								el.find('select').append(jQuery("<option>", { 
									value: 0,
									text : result.error 
								}));
							}else{
								var select = "";
								el.find('select').append(jQuery("<option>", { 
									 value: 'null',
									 text : 'select'
								}));
								jQuery.each( result.list, function( key, value ) {
									if(key == list_id){
										el.find('select').append(jQuery("<option>", { 
											value: key,
											text : value
										})).val(key);
									}else{
										el.find('select').append(jQuery("<option>", { 
											value: key,
											text : value
										}));	
									}
								});
							}
							
						}
					});
				}
			}
		#>
		
<?php
}

function wlp_param_type_optin_select(){
?>
		<select class="wlp-param" name="{{data.name}}">
			<# if( data.options ){
				for( var n in data.options ){
					if( typeof data.options[n] == 'array' ||  typeof data.options[n] == 'object' ){
					#><optgroup label="{{n}}"><#
						for( var m in data.options[n] ){
							#><option<#
								if( m == data.value ){ #> selected<# }
								#> value="{{m}}">{{data.options[n][m]}}</option><#
						}
					#></optgroup><#

					}else{

			#><option<#
						if( n == data.value ){ #> selected<# }
					#> value="{{n}}">{{data.options[n]}}</option><#
					}
				}
			} #>
		</select>
		
		<#
			data.callback = function( el ){
				el.find('select').on( 'change', el, function(e){
					var list = el.next().find('.wlp_optin_list');
					var list_id = el.next().find('.wlp_optin_list_id');
					jQuery.ajax({
						url  :  ajaxurl,
						data : { 'action' : 'wlp_get_subscriber_setting', 'responder' : jQuery(this).val() },
						type : 'post',
						success : function(result){
							var result = jQuery.parseJSON(result);
							
							list.find('option').remove();
							console.log(result);
							if(result.error){
								
								list.append(jQuery("<option>", { 
									value: 0,
									text : result.error 
								}));
								
							}else{
								
								list.append(jQuery("<option>", { 
									value: 'null',
									text : 'select'
								}));
								
								jQuery.each( result.list, function( key, value ) {
									
									if(list_id.val() == '')
										list_id.val(key);
									
									list.append(jQuery("<option>", { 
										value: key,
										text : value
									}));
									
								});
								
							}
							
						}
					});
					
				});				
			}
		#>
		
<?php
}

function wlp_param_type_textarea_html(){
?>
	<# var eid = parseInt( Math.random()*100000 ); #>

	<div class="wlp-textarea_html-field-wrp">
		<div class="wlp-editor-wrapper">
            <div id="wp-wlp-content-{{eid}}-wrap" class="wp-core-ui wp-editor-wrap tmce-active">
                <div id="wp-wlp-content-{{eid}}-editor-tools" class="wp-editor-tools hide-if-no-js">
                    <div id="wp-wlp-content-{{eid}}-media-buttons" class="wp-media-buttons">
                        <button type="button" class="button wlp-insert-media" data-editor="wlp-content-{{eid}}">
                        	<i class="sl-cloud-upload"></i> <?php _e('Insert Media', 'wpleadpages'); ?>
                        </button>
                    </div>
                    <div class="wp-editor-tabs">
                        <button type="button" class="wp-switch-editor switch-tmce" data-wp-editor-id="wlp-content-{{eid}}"><?php _e('Visual', 'wpleadpages'); ?></button>
                        <button type="button" class="wp-switch-editor switch-html" data-wp-editor-id="wlp-content-{{eid}}"><?php _e('Text', 'wpleadpages'); ?></button>
                    </div>
                </div>
                <div id="wp-wlp-content-{{eid}}-editor-container" class="wp-editor-container">
                    <div id="qt_or-content-{{eid}}_toolbar" class="quicktags-toolbar"></div>
                    <textarea class="wp-editor-area wlp-param" rows="10" autocomplete="off" width="100%" name="{{data.name}}" id="wlp-content-{{eid}}">{{data.value}}</textarea>
                </div>
            </div>
        </div>
	</div>
	<#
		data.callback = function( wrp, $ ){

			wlp.tools.editor.init( $('#wlp-content-'+eid) );

			var pop = wrp.closest('.wlp-params-popup');
			wlp.tools.popup.callback( pop, { 
				before_callback : function( pop ){
	
					if( pop.find('.wp-editor-wrap').hasClass('tmce-active') )
						pop.find('textarea.wlp-param').val( tinyMCE.activeEditor.getContent() );
	
				}
			});

			wrp.find('.wlp-insert-media').on('click', { callback : function( atts ){

				wlp.tools.editor.insert( window.wpActiveEditor ,wp.media.string.image( null, atts ) );

			}, atts : {frame:'post'} }, wlp.tools.media.open );

		}
	#>

<?php
}

function wlp_param_type_editor(){
?>
	<# var eid = parseInt( Math.random()*100000 ); #>

	<div class="wlp-textarea_html-field-wrp">
		<div class="wlp-editor-wrapper">
            <div id="wp-wlp-content-{{eid}}-wrap" class="wp-core-ui wp-editor-wrap tmce-active">
                <div id="wp-wlp-content-{{eid}}-editor-tools" class="wp-editor-tools hide-if-no-js">
                    <div id="wp-wlp-content-{{eid}}-media-buttons" class="wp-media-buttons">
                        <button type="button" class="button wlp-insert-media" data-editor="wlp-content-{{eid}}">
                        	<i class="sl-cloud-upload"></i> <?php _e('Insert Media', 'wpleadpages'); ?>
                        </button>
                    </div>
                    <div class="wp-editor-tabs">
                        <button type="button" class="wp-switch-editor switch-tmce" data-wp-editor-id="wlp-content-{{eid}}"><?php _e('Visual', 'wpleadpages'); ?></button>
                        <button type="button" class="wp-switch-editor switch-html" data-wp-editor-id="wlp-content-{{eid}}"><?php _e('Text', 'wpleadpages'); ?></button>
                    </div>
                </div>
                <div id="wp-wlp-content-{{eid}}-editor-container" class="wp-editor-container">
                    <div id="qt_or-content-{{eid}}_toolbar" class="quicktags-toolbar"></div>
                    <textarea class="wp-editor-area wlp-param" rows="10" autocomplete="off" width="100%" name="{{data.name}}" id="wlp-content-{{eid}}">{{wlp.tools.base64.decode(data.value.replace(/(?:\r\n|\r|\n)/g,'')).replace(/\%SITE\_URL\%/g,site_url)}}</textarea>
                </div>
            </div>
        </div>
	</div>
	<#
		data.callback = function( wrp, $ ){

			wlp.tools.editor.init( $('#wlp-content-'+eid) );

			var pop = wrp.closest('.wlp-params-popup');
			wlp.tools.popup.callback( pop, { 
				before_callback : function( pop ){
	
					pop.find('.wp-editor-wrap').each(function(){
						if( $(this).hasClass('tmce-active') ){
							var txt = $(this).find('textarea.wlp-param'), id = txt.get(0).id, 
								content = tinyMCE.get( id ).getContent(), rex = new RegExp( site_url, "g");
							content = content.replace( rex, '%SITE_URL%' );
							txt.val( wlp.tools.base64.encode( content ) );
						}
					});
	
				}
			});

			wrp.find('.wlp-insert-media').on('click', { callback : function( atts ){

				wlp.tools.editor.insert( window.wpActiveEditor ,wp.media.string.image( null, atts ) );

			}, atts : {frame:'post'} }, wlp.tools.media.open );

		}
	#>

<?php
}

function wlp_param_type_multiple(){
?>

	<div wlp-multiple-field-wrp>
		<select multiple>
			<# if( data.options ){
				var vals = data.value.split(',');
				for( var n in data.options ){
					if( typeof data.options[n] == 'array' ||  typeof data.options[n] == 'object' ){
					#><optgroup label="{{n}}"><#
						for( var m in data.options[n] ){
							#><option<#
								if( vals.indexOf( m ) > -1 ){ #> selected<# }
								#> value="{{m}}">{{data.options[n][m]}}</option><#
						}
					#></optgroup><#

					}else{

			#><option<#
						if( vals.indexOf( n ) > -1 ){ #> selected<# }
					#> value="{{n}}">{{data.options[n]}}</option><#
					}
				}
			} #>
		</select>
		<input type="hidden" name="{{data.name}}" class="wlp-param" value="{{data.value}}" />
		<a href="#" class="clear-selected">
			<i class="sl-close"></i> <?php _e('Remove Selection', 'wpleadpages'); ?>
		</a>
	</div>
	<#
		data.callback = function( el ){
			el.find('select').on( 'change', el, function(e){
				e.data.find('input.wlp-param').val( jQuery(this).val() );
			});
			el.find('.clear-selected').on( 'click', el, function(e){
				e.data.find('select option:selected').removeAttr('selected');
				e.data.find('input.wlp-param').val('');
				e.preventDefault();
			});
		}
	#>
<?php
}

function wlp_param_type_checkbox(){
?>

	<# if( data.options ){
		var vals = data.value.split(',');
		for( var n in data.options ){
			#><span class="nowrap">
			<div class="checkbox checkbox1 abs">
       <label>
        <input type="checkbox" class="wlp-param" name="{{data.name}}" <#
				if( vals.indexOf( n ) > -1 ){ #> checked<# }
			#> value="{{n}}" /> {{data.options[n]}}
         <span> </span>
        </label>
      </div>
	  
	  </span>
		<# }
	} #><input type="checkbox" checked class="wlp-param" value="" name="{{data.name}}" style="display:none;" />
<?php
}

function wlp_param_type_radio(){
?>
	<div wlp-multiple-field-wrp>
		<# if( data.options ){
			for( var n in data.options ){
				#><span class="nowrap"><input type="radio" class="wlp-param" name="{{data.name}}" <#
					if( n == data.value ){ #> checked<# }
				#> value="{{n}}" /> {{data.options[n]}}</span>
			<# } #>
			<a href="#" class="clear-selected">
				<i class="sl-close"></i> <?php _e('Remove Selection', 'wpleadpages'); ?>
			</a>
		<# } #><input type="radio" class="wlp-param empty-value" value="" name="{{data.name}}" style="display:none;" />
	</div>
	<#
		data.callback = function( el ){
			el.find('.clear-selected').on( 'click', el, function(e){
				e.data.find('input.wlp-param.empty-value').attr({'checked':true});
				e.preventDefault();
			});
		}
	#>
<?php
}

function wlp_param_type_optin_radio(){
?>
	<div wlp-multiple-field-wrp>
		<# if( data.options ){
			for( var n in data.options ){
				#><span class="nowrap"><input type="radio" class="wlp-param" name="{{data.name}}" <#
					if( n == data.value ){ #> checked<# }
				#> value="{{n}}" /> {{data.options[n]}}</span>
			<# } #>
		<# } #><input type="radio" class="wlp-param empty-value" value="" name="{{data.name}}" style="display:none;" />
	</div>
<?php
}

function wlp_param_type_attach_media(){
?>

	<div class="wlp-attach-field-wrp">
		<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="hidden" />
		<div class="media-wrp">
			<div class="filename"><#
				if( data.value != '' ){
					data.value = data.value.split('/');
					#>{{data.value[data.value.length-1]}}<#
				}else{
					#>empty<#
				}
			#></div>
			<i class="sl-close" title="<?php _e('Delete this mdia', 'wpleadpages'); ?>"></i>		</div>
		<div class="clear"></div>
		<a class="button media button-primary">
			<i class="sl-cloud-upload"></i> <?php _e('Browse Media', 'wpleadpages'); ?>
		</a>
	</div>
	<#
		data.callback = function( el, $ ){

			el.find('.media').on( 'click', { callback: function( atts ){

				var wrp = $(this.el).closest('.wlp-attach-field-wrp'), url = atts.url;

				wrp.find('input.wlp-param').val(url).change();
				
				url = url.split('/');
				
				wrp.find('.filename').html(url[url.length-1]);

			}, atts : { frame: 'select' } }, wlp.tools.media.open );

			el.find('div.media-wrp .sl-close').on( 'click', el, function( e ){
				e.data.find('input.wlp-param').val('');
				$(this).closest('div.media-wrp').find('.filename').html('empty');
			});

			el.find('div.media-wrp .filename').on( 'click', el, function( e ){
				el.find('.media').trigger('click');
			});



		}
	#>
<?php
}

function wlp_param_type_attach_image(){
?>

	<div class="wlp-attach-field-wrp">
	
	<# if( data.value != '' ){ #>
		
		<div class="img-wrp">
		 
			<img src="{{site_url}}/wp-admin/admin-ajax.php?action=wlp_get_thumbn&id={{data.value}}" alt="" />
			<span class="sl-close remove_close" title="<?php _e('Delete this image', 'wpleadpages'); ?>"></span>
		</div>
		<# } #>
	<div class="fe_image">
	<label for="files-data">
Drag image here or
<br/>
<span>open image library</span>
</label>

	<input type = "file" name = "files[]" accept = "image/*" class = "files-data form-control btn-upload1 upload_image" />
	</div>
		<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="hidden" />
		
		<div class="clear"></div> 
		<a class="button media button-primary">
		 <?php _e('open image library', 'wpleadpages'); ?>
		</a>
	</div>
	<#
		data.callback = function( el, $ ){

			el.find('.media').on( 'click', { callback: function( atts ){

				var wrp = jQuery(this.el).closest('.wlp-attach-field-wrp'), url = atts.url;

				wrp.find('input.wlp-param').val(atts.id).change();
				if( typeof atts.sizes.medium == 'object' )
					var url = atts.sizes.medium.url;

				if( !wrp.find('img').get(0) ){
					wrp.prepend('<div class="img-wrp"><img src="'+url+'" alt="" /><span title="<?php _e('Delete this image', 'wpleadpages'); ?>" class="sl-close remove_close"></span></div>');
					wrp.find('img').on( 'click', el, function( e ){
						el.find('.media').trigger('click');
					});
					wrp.find('div.img-wrp .sl-close').on( 'click', el, function( e ){
						e.data.find('input.wlp-param').val('');
						jQuery(this).closest('div.img-wrp').remove();
					});
				}else wrp.find('img').attr({src : url});

			}, atts : { frame: 'select' } }, wlp.tools.media.open );

			el.find('div.img-wrp .sl-close').on( 'click', el, function( e ){
				e.data.find('input.wlp-param').val('');
				jQuery(this).closest('div.img-wrp').remove();
			});

			el.find('div.img-wrp img').on( 'click', el, function( e ){
				el.find('.media').trigger('click');
			});



		}
	#>
<?php
}

function wlp_param_type_attach_image_url(){
?>

	<div class="wlp-attach-field-wrp">
	
		<# if( data.value != '' ){ #>
		<div class="img-wrp">
			<img src="{{data.value}}" alt="" />
			<span class="sl-close remove_close" title="<?php _e('Delete this image', 'wpleadpages'); ?>"></span>
			<div class="img-sizes"></div>
		</div>
		<# } #>
			<div class="fe_image">
	<label for="files-data">
Drag image here or
<br/>
<span>open image library</span>
</label>
	<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="hidden" />
	<input type = "file" name = "files[]" accept = "image/*" class = "files-data form-control btn-upload1 image_url" />
	</div>
		<div class="clear"></div>
		<a class="button media button-primary">
			<!--<i class="sl-cloud-upload"></i>--> <?php _e('open image library', 'wpleadpages'); ?>
		</a>
	</div>
	<#
		data.callback = function( el ){

			var $ = jQuery;

			el.find('.media').on( 'click', { callback : function( atts ){

				var wrp = $(this.el).closest('.wlp-attach-field-wrp'), url = atts.url;

				if( atts.size != undefined && atts.size != null && atts.sizes[atts.size] != undefined ){
					var url = atts.sizes[atts.size].url;
				}else if( typeof atts.sizes.medium == 'object' ){
					var url = atts.sizes.medium.url;
				}

				if( url != undefined && url != '' ){
					wrp.find('input.wlp-param').val(url).change();
				}

				if( !wrp.find('img').get(0) ){
					wrp.prepend('<div class="img-wrp"><img src="'+url+'" alt="" /><span title="<?php _e('Delete this image', 'wpleadpages'); ?>" class="sl-close remove_close"></span></div>');
					el.find('div.img-wrp img').on( 'click', el, function( e ){
						el.find('.media').trigger('click');
					});
					el.find('div.img-wrp .sl-close').on( 'click', el, function( e ){
						$(this).closest('div.img-wrp').remove();
						e.data.find('input.wlp-param').val('');
					});
				}else{
					wrp.find('img').attr({src : url});
					wrp.find('.img-sizes').html('');
				}

				var btn, wrpsizes = wrp.find('.img-sizes');
				for( var si in atts.sizes ){
					btn = $('<button data-url="'+atts.sizes[si].url+
								'" class="button">'+atts.sizes[si].width+'x'+
								atts.sizes[si].height+'</button>'
							);

					if( atts.size != undefined && atts.size ){

						if( atts.size == si )
							btn.addClass('button-primary');

					}else if( si == 'medium' )
						btn.addClass('button-primary');

					btn.on( 'click', function(e){

						var wrp = $(this).closest('.wlp-attach-field-wrp'), url = $(this).data('url');

						$(this).parent().find('button').removeClass('button-primary');
						$(this).addClass('button-primary');

						wrp.find('img').attr({ src : url });
						wrp.find('input.wlp-param').val( url );

						e.preventDefault();
						return false;

					});
					 <?php //wrpsizes.append( btn );?>
				}

			}, atts : {frame:'post'} }, wlp.tools.media.open );

			el.find('div.img-wrp .sl-close').on( 'click', el, function( e ){
				$(this).closest('div.img-wrp').remove();
				e.data.find('input.wlp-param').val('');
			});

			el.find('div.img-wrp img').on( 'click', el, function( e ){
				el.find('.media').trigger('click');
			});

		}
	#>
<?php
}


function wlp_param_type_attach_images(){
?>
	<div class="wlp-attach-field-wrp">
		<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="hidden" />
		<#
			if( data.value != '' ){
				data.value = data.value.split(',');
				for( var n in data.value ){
					#><div data-id="{{data.value[n]}}" class="img-wrp"><img title="<?php _e('Drag image to sort', 'wpleadpages'); ?>" src="{{site_url}}/wp-admin/admin-ajax.php?action=wlp_get_thumbn&id={{data.value[n]}}&size=thumbnail" alt="" /><span class="sl-close drag_close1"></span></div><#
				}
		 #>
		<# } #>
		<div class="clear"></div>
				<div class="fe_image">
	<label for="files-data">
Drag image here or
<br/>
<span>open image library</span>
</label>

	<input type = "file" name = "files[]" accept = "image/*" class = "files-data form-control btn-upload1 attach-images" />
	</div>
		<a class="button media button-primary">
			<i title="<?php _e('Delete this image', 'wpleadpages'); ?>" class="sl-cloud-upload"></i> <?php _e('open image library', 'wpleadpages'); ?>
		</a>
	</div>

	<#
		data.callback = function( el ){

			el.find('.media').on( 'click', function( atts ){

				var wrp = jQuery(this.els).closest('.wlp-attach-field-wrp'), url = atts.url;

				wrp.find('input.wlp-param').val(atts.id).change();
				if( typeof atts.sizes.thumbnail == 'object' )
					var url = atts.sizes.thumbnail.url;

				wrp.prepend('<div data-id="'+atts.id+'" class="img-wrp"><img title="<?php _e('Drag image to sort', 'wpleadpages'); ?>" src="'+url+'" alt="" /><span title="<?php _e('Delete this image', 'wpleadpages'); ?>" class="sl-close drag_close1"></span></div>');
				helper( wrp );

			}, wlp.tools.media.opens );

			function helper( el ){

				wlp.ui.sortable({

					items : 'div.wlp-attach-field-wrp>div.img-wrp',
					helper : ['wlp-ui-handle-image', 25, 25 ],
					connecting : false,
					vertical : false,
					end : function( e, el ){
						refresh( jQuery(el).closest('.wlp-attach-field-wrp') );
					}

				});


				el.find('div.img-wrp i.sl-close').off('click').on( 'click', el, function( e ){
					jQuery(this).closest('div.img-wrp').remove();
					refresh( e.data );
				});

				refresh( el );

			}

			function refresh( el ){
				var val = [];
				el.find('div.img-wrp').each(function(){
					val[ val.length ] = jQuery(this).data('id');
				});
				if( val.length <= 4 ){
					el.removeClass('img-wrp-medium').removeClass('img-wrp-large');
				}else if( val.length > 4 && val.length < 9 ){
					el.addClass('img-wrp-medium').removeClass('img-wrp-large');
				}else if( val.length >= 9 ){
					el.removeClass('img-wrp-medium').addClass('img-wrp-large');
				}

				el.find('input.wlp-param').val( val.join(',') );

				el.find('div.img-wrp img').on( 'click', el, function( e ){
					el.find('.media').trigger('click');
				});
			}

			helper( el.find('.wlp-attach-field-wrp') );

		}
	#>

<?php
}

function wlp_param_type_colwlp_picker(){
?>
	<input name="{{data.name}}" value="{{data.value}}" placeholder="" class="wlp-param" type="text"  />
	<#
		data.callback = function( el ){
			el.find('input').each(function(){
				this.color = new jscolor.color(this, {});
			});
	    }
	#>
<?php
}

function wlp_param_type_icon_picker(){

?>	<# if( data.value == undefined || data.value == '' )data.value='fa-leaf'; #>
	<div class="icons-preview">
		<i class="{{data.value}}"></i>
	</div>
	<input name="{{data.name}}" value="{{data.value}}" placeholder="Click to select icon" class="wlp-param wlp-param-icons" type="text" />
	<#
		data.callback = function( el, $ ){

			el.find('input.wlp-param').on('focus', function(){

				$('.wlp-icons-picker-popup').remove();

				var listObj = jQuery( '<div class="icons-list noneuser">'+wlp.tools.get_icons()+'</div>' );

				var atts = { title: 'Select Icons', width: 600, class: 'no-footer wlp-icons-picker-popup', keepCurrentPopups: true };
				var pop = wlp.tools.popup.render( this, atts );
				pop.data({ target: this, scrolltop: jQuery(window).scrollTop() });

				pop.find('.m-p-body').off('mousedown').on('mousedown',function(e){
					e.preventDefault();
					return false;
				});

				$(this).off( 'keyup' ).on( 'keyup', listObj, function( e ){

					clearTimeout( this.timer );
					this.timer = setTimeout( function( el, list ){

						if( list.find('.seach-results').length == 0 ){

							var sr = $('<div class="seach-results"></div>');
							list.prepend( sr );

						}else sr = list.find('.seach-results');

						var found = ['<span class="label">Search Results:</span>'];
						list.find('>i').each(function(){

							if( this.className.indexOf( el.value.trim() ) > -1
								&& found.length < 16
								&& $.inArray( this.className, found )
							)found.push( '<span data-icon="'+this.className+'"><i class="'+this.className+'"></i>'+this.className+'</span>' );

						});
						if( found.length > 1 ){
							sr.html( found.join('') );
							sr.find('span').on('mousedown', function(){

								if( $(this).data('icon') === undefined )
								{
									e.preventDefault();
									return false;
								}
								var tar = wlp.get.popup(this).data('target');
								tar.value = $(this).data('icon');
								$(tar).trigger('change');
								setTimeout( function(el){el.trigger('blur');}, 100, $(tar) );
							});
						}
						else sr.html( '<span class="label">The key you entered was not found.</span>' );

					}, 150, this, e.data );

				});

				listObj.find('i').on('mousedown', function( e ){

					var tar = wlp.get.popup(this).data('target');
					tar.value = this.className;

					$(tar).trigger('change');
					setTimeout( function(el){el.trigger('blur');}, 100, $(tar) );

				});

				setTimeout(function( el, list ){
					el.append( list );
				}, 10, pop.find('.m-p-body'), listObj );

			}).on('change',function(){
				jQuery(this).parent().find('.icons-preview i').attr({class: this.value});
			}).on('blur', function(){
				$('.wlp-icons-picker-popup').remove();
			});

	    }
	#>
<?php
}

function wlp_param_type_date_picker(){
?>

	<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="text" />
	<#
		data.callback = function( wrp, $ ){
			new Pikaday(
		    {
		        field: wrp.find('.wlp-param').get(0),
		        firstDay: 1,
				format: 'yyyy/mm/dd',
		        minDate: new Date(2000, 0, 1),
		        maxDate: new Date(2020, 12, 31),
		        yearRange: [2000,2020]
		    });
		}
	#>

<?php
}

function wlp_param_type_wlp_box(){

?>

	<textarea name="data" class="wlp-param wlp-box-area forceHide">{{data.value}}</textarea>
	<button class="button html-code" data-action="html-code">
		<i class="sl-doc"></i> <?php _e('HTML Code', 'wpleadpages'); ?>
	</button>
	<button class="button css-code" data-action="css-code">
		<i class="sl-settings"></i> <?php _e('CSS Code', 'wpleadpages'); ?>
	</button>
	<button class="button align-center add-top" data-action="add" data-pos="top">
		<i class="sl-plus"></i>
	</button>
	<div class="wlp-box-render"></div>
	<button class="button align-center add-bottom" data-action="add" data-pos="bottom">
		<i class="sl-plus"></i>
	</button>
	<div class="wlp-box-trash">
		<a href="#" class="button forceHide" data-action="undo">
			<i class="sl-action-undo"></i> Undo Delete(0)
		</a>
	</div>
<#

	data.callback = function( wrp, $ ){

		try{
			var data_obj = wlp.tools.base64.decode( data.value.replace(/(?:\r\n|\r|\n)/g,'') );
			data_obj = data_obj.replace( /\%SITE\_URL\%/g, site_url );
			data_obj = JSON.parse( data_obj );
		}catch(e){
			var data_obj = [{tag:'div',children:[{tag:'text', content:'There was an error with content structure.'}]}];
		}

		wrp.find('.wlp-box-render').eq(0).append( wlp.template( 'box-design', data_obj ) );

		var pop = wlp.get.popup( wrp );
		
		wlp.tools.popup.callback( pop, { before_callback : wlp.ui.wlp_Box.renderBack });
		pop.addClass('preventCancel');

		wlp.ui.wlp_Box.sort();

		wrp.on( 'click', function( e ){

			if( e.target.tagName == 'I' )
				var el = $( e.target.parentNode );
			else var el = $( e.target );

			wlp.ui.wlp_Box.actions( el, e );

		} );

	}

#>
<?php
}


function wlp_param_type_wp_widget(){

?><#

	try{
		var obj = JSON.parse( wlp.tools.base64.decode( data.value ) );
	}catch(e){
		return '<center><?php _e('There was an error with content structure.', 'wpleadpages'); ?></center>';
	}
	var html = '';

	for( var n in obj ){

		wlp.widgets.find('input[name="id_base"]').each(function(){

			if( this.value == n ){

				html = jQuery(this).closest('div.widget').find('.widget-content').html();
				html = '<div class="wlp-widgets-container" data-name="'+n+'">'
					   +html.replace(/name="([^"]*)"/g,function(r,v){

							v = v.split('][');
							v = ( v[1] != undefined ) ? v[1] : v[0];
							v = v.replace(/\]/g,'').trim();
							var str = 'name="'+v+'"';

							if( obj[n][v] != undefined )
								str += ' data-value="'+wlp.tools.esc(obj[n][v])+'"';

							return str;

						})+'</div>';
			}
		});
	}

	#>{{{html}}}<#

	data.callback = function( wrp, $ ){

		wrp.find('*[data-value]').each(function(){
			switch( this.tagName ){
				case 'INPUT' :
					if( this.type == 'radio' || this.type == 'checkbox' )
						this.checked = true;
					else this.value = jQuery(this).data('value');
				break;
				case 'TEXTAREA' :
					this.value = jQuery(this).data('value');
				break;
				case 'SELECT' :
					var vls = jQuery(this).data('value');
					if( vls )vls = vls.toString().split(',');
					else vls = [''];

					if( vls.length > 1 )
						this.multiple = 'multiple';
					jQuery(this).find('option').each(function(){
						if( vls.indexOf( this.value ) > -1 )
							this.selected = true;
						else this.selected = false;
					});
				break;
			}
		});

		var pop = wlp.get.popup( wrp );

		wlp.tools.popup.callback( pop, { 
			
			before_callback : function( wrp ){

				var name = wrp.find('.wlp-widgets-container').data('name'),
					fields = wrp.find('form.fields-edit-form').serializeArray(),
					data = {};
	
				data[ name ] = {};
	
				fields.forEach(function(n){
					if( data[ name ][n.name] == undefined )
						data[ name ][n.name] = n.value;
					else data[ name ][n.name] += ','+n.value;
				});
	
				var string = wlp.tools.base64.encode( JSON.stringify( data ) );
	
				wrp.find('.m-p-r-content').append('<textarea name="data" class="wlp-param wlp-widget-area forceHide">'+string+'</textarea>');
	
			},
			after_callback : function( wrp ){
				wrp.find('.m-p-r-content .wlp-param').remove();
			}
		});

	}

#>
<?php
}


function wlp_param_type_css_box_tbtl(){
?>
	<#
		var imp = data.value.indexOf('!important');
		if( imp > -1 )
			imp = '!important';
		else imp = '';
		var val = data.value.replace('!important','').split(' ');
	#>
	<ul class="multi-fields-ul">
		<li>
			<input class="wlp-param" name="{{data.name}}-top" class="m-f-u-first" value="{{val[0]}}" type="text" /><!--<br /> <strong>Top</strong>-->
		</li>
	
		<li>
			<input class="wlp-param" name="{{data.name}}-left" type="text" value="{{val[3]}}" /><!--<br /> Left-->
		</li>
		<li>
			<input class="wlp-param" name="{{data.name}}-right" class="m-f-u-last" type="text" value="{{val[1]}}" /><!--<br /> Right-->
		</li>
			<li>
			<input class="wlp-param" name="{{data.name}}-bottom" type="text" value="{{val[2]}}" /><!--<br /> Bottom-->
		</li>
		<li class="m-f-u-li-link mtips">
			 
			 <div class="checkbox checkbox1 linking_abs row_checked">
       <label>
        <input <# if( val[0] == val[1] && val[1] == val[2] && val[2] == val[3] ){ #>checked<#} #> type="checkbox" />
         <span> </span>
        </label>
      </div>
			 <span class="mt-mes"><# if( val[0] == val[1] && val[1] == val[2] && val[2] == val[3] ){ #>Unlock<#} 
			 else{ #>
			 Lock
			 <# } #></span>
		</li> 
		<input type="hidden" class="wlp-param" name="{{data.name}}-important" value="{{imp}}" />
		<br />
		 
	</ul>
 
	<#
		data.callback = function( el, $ ){
			el.find('input[type=text]').on( 'keyup', el, function( e ){
				if( e.data.find('input[type=checkbox]').get(0).checked == true ){
					var cur = this;
					e.data.find()
					e.data.find('input[type=text]').each(function(){
						if( this != cur )
							this.value = cur.value;
					});
				}
			}).on( 'mousedown', function(e){
				
				if( e.which !== undefined && e.which !== 1 )
					return false;
					
				$(document).on( 'mouseup', function(){
					$(document).off( 'mousemove' ).off('mouseup');
					$('body').css({cursor:''});
				});
				
				var ext = this.value.replace(/[0-9\-]/g,'');
				if( ext === '' )
					ext = 'px';
				$(document).on( 'mousemove', { 
					el: this,
					cur: parseInt(this.value!==''?this.value:0),
					ext: ext,
					top: e.clientY
				}, function(e){
					var offset = e.clientY-e.data.top;
					e.data.el.value = (e.data.cur-offset)+e.data.ext;
					$(e.data.el).trigger('change');
				});
				
				$('body').css({cursor:'ns-resize'});
				
				$( window ).off('mouseup').on('mouseup', function(){
					$(document).off('mousemove');
					$(window).off('mouseup');
					$('html,body').removeClass('wlp_dragging noneuser');
				});
				
			});
			el.find('input[type=checkbox]').on( 'change', el, function( e ){
				if( this.checked == true ){
					e.data.find('input[type=text]').val( e.data.find('input[type=text]').get(0).value );
				}
			});
		}
	#>
<?php
}
function wlp_param_type_css_box_border(){
?>
	<#
		var imp = data.value.indexOf('!important');
		if( imp > -1 )
			imp = '!important';
		else imp = '';
		var val = data.value.replace('!important','').split(' ');
	#>
	<ul class="multi-fields-ul">
		
		<li>
			<span class="m-f-u-li-splect">
				<select name="border-style" class="wlp-param">
					<option value="none">none</option>
					<option <# if(val[1]== 'hidden'){ #>selected<# } #> value="hidden">hidden</option>
					<option <# if(val[1]== 'dotted'){ #>selected<# } #> value="dotted">dotted</option>
					<option <# if(val[1]== 'dashed'){ #>selected<# } #> value="dashed">dashed</option>
					<option <# if(val[1]== 'solid'){ #>selected<# } #> value="solid">solid</option>
					<option <# if(val[1]== 'double'){ #>selected<# } #> value="double">double</option>
					<option <# if(val[1]== 'groove'){ #>selected<# } #> value="groove">groove</option>
					<option <# if(val[1]== 'ridge'){ #>selected<# } #> value="ridge">ridge</option>
					<option <# if(val[1]== 'inset'){ #>selected<# } #> value="inset">inset</option>
					<option <# if(val[1]== 'outset'){ #>selected<# } #> value="outset">outset</option>
					<option <# if(val[1]== 'initial'){ #>selected<# } #> value="initial">initial</option>
					<option <# if(val[1]== 'inherit'){ #>selected<# } #> value="inherit">inherit</option>
				</select>
			</span>
		 
		</li>
		<li>
			<input name="border-width" class="m-f-u-first wlp-param" value="{{val[0]}}" type="text" /> 
		</li>
		<li>
			<input type="text" name="border-color" value="{{val[2]}}" width="80" class="m-f-bb-color wlp-param" />  
		</li>
		<input type="hidden" name="border-important" class="wlp-param" value="{{imp}}" />
	</ul>
	<#
		data.callback = function( el ){
			el.find('input.m-f-bb-color').each(function(){
				this.color = new jscolor.color(this, {});
			});
	    }
	#>
<?php
}
function wlp_param_type_group(){
?>
<input type="hidden" name="{{data.name}}[0]" class="wlp-param" />
<div class="wlp-group-rows"></div>
<#
	try{
		data.value = wlp.tools.base64.decode( data.value );
		data.value = data.value.replace( /\%SITE\_URL\%/g, site_url );
		data.value = JSON.parse( data.value );
		var values = {};
		for( var i in data.value ){
			if( typeof( data.value[i] ) == 'object' ){
				if( i.indexOf( data.name+'[' ) == -1 ){
					values[ data.name+'['+i+']' ] = {};
					for( var j in data.value[i] ){
						values[ data.name+'['+i+']['+j+']' ] = data.value[i][j];
					}
				}else values[ i ] = data.value[i];
			}
		}
	}catch(e){
		data.value = {'0':{}};
		var values = {};
	}

	data.callback = function( wrp, $, data ){
		
		wrp.data({ 'name' : data.name, 'params': data.params });

		for( var n in data.value ){
			if( typeof( data.value[n] ) == 'object' ){
				var params = wlp.params.fields.group.set_index( data.params, data.name, n );
				
				var grow = $( wlp.template( 'param-group' ) );
				wrp.find('.wlp-group-rows').append( grow );
				
				wlp.params.fields.render( grow.find('.wlp-group-body'), params, values );
			}

		}

		wrp.find('.wlp-group-rows').append( '<div class="wlp-group-controls wlp-add-group"><img class="sl-plus" src="<?php echo wlp_URL; ?>/assets/images/add_blue.png" /><img class="sl-plus1" src="<?php echo wlp_URL; ?>/assets/images/plus_white.png"><?php _e('Add another section', 'wpleadpages'); ?></div>' );
 
		wlp.params.fields.group.callback( wrp );
		
	}

#>
<?php
}

function wlp_param_type_link(){
?>
<#
	if( typeof data.value != 'undefined' && data.value != '' )
		var value = data.value.split('|');
	else value = ['','','','',''];
#>
	<input name="{{data.name}}" class="wlp-param" value="{{data.value}}" type="hidden" />
	<a class="button link button-primary">
		<i class="sl-link"></i> <?php _e( 'Add your link', 'wpleadpages' ); ?>
	</a>
	 
	<span class="link-preview">
		<# if( value[0] !== undefined && value[0] != '' ){ #><strong>Link:</strong> {{value[0]}}<br /><# } #>
		<# if( value[1] !== undefined && value[1] != '' ){ #><strong>Title:</strong> {{value[1]}}<br /><# } #>
		<# if( value[2] !== undefined && value[2] != '' ){ #><strong>Target:</strong> {{value[2]}}<br /><# } #>
	</span>

<#

	data.callback = function( wrp, $ ){
		wrp.find('.button.link').on( 'click', wrp, function(e) {

            wpLink.open();

            var value = e.data.find('.wlp-param').val();
            if( value != '' )
				value = value.split('|');
			else value = ['','','','',''];

            $('#wp-link-url').val( value[0] );
	        $('#wp-link-text').val( value[1] );
	        if( value[2] == '_blank' )
	        	$('#wp-link-target').attr({checked: true});

            if( $('#wp-link-update #wlp-link-submit').length == 0 ){
            	$('#wp-link-update').append('<input type="submit" value="Add Link" class="button button-primary" id="wlp-link-submit" name="wp-link-submit" style="display: none">');
				$('#wp-link-cancel, #wp-link-close').on( 'click', function(e) {
					$('#wp-link-submit').css({display: 'block'});
					$('#wlp-link-submit').css({display: 'none'});
			        wpLink.close();
			        e.preventDefault ? e.preventDefault() : e.returnValue = false;
			        e.stopPropagation();
			        return false;
			    });
            }

            $('#wp-link-submit').css({display: 'none'});

            $('#wp-link-update #wlp-link-submit').css({display: 'block'}).off('click').on( 'click', e.data, function(e) {

	            var url = $('#wp-link-url').val(),
	            	text = $('#wp-link-text').val(),
	            	target = $('#wp-link-target').get(0).checked?'_blank':'';

				e.data.find('.wlp-param').val(url+'|'+text+'|'+target);

				var preview = '';
				if( url != '' )
					preview += '<strong>Link:</strong> '+url+'<br />';
				if( text != '' )
					preview += '<strong>Title:</strong> '+text+'<br />';
				if( target != '' )
					preview += '<strong>Target:</strong> '+target+'<br />';

				e.data.find('.link-preview').html( preview );

				$('#wp-link-close').trigger('click');

	            wpLink.close();
	            e.preventDefault
	            return false;
	        });
            return false;
        });
	}

#>

<?php
}

function wlp_param_type_post_taxonomy(){

	$post_types = get_post_types( array(
			'public'   => true,
			'_builtin' => false
		),
		'names'
	);

	$post_types = array_merge( array( 'post' => 'post'), $post_types );

	foreach($post_types as $post_type){
		$taxonomy_objects = get_object_taxonomies( $post_type, 'objects' );
		$taxonomy = key( $taxonomy_objects );
		$args[ $post_type ] = wlp_get_terms( $taxonomy, 'slug' );
	}

	echo '<label>'.__( 'Select Content Type', 'wpleadpages' ).': </label>';
	echo '<br />';
	echo '<select class="wlp-content-type">';
	foreach( $args as $k => $v ){
		echo '<option value="'.esc_attr($k).'">'.ucwords( str_replace(array('-','_'), array(' ', ' '), $k ) ).'</option>';
	}
	echo '</select>';
	echo '<div class="wlp-select-wrp">';
		echo '<select style="height: 150px" multiple class="wlp-taxonomies-select">';

		foreach( $args as $type => $arg ){

			echo '<option class="'.esc_attr($type).'-st" value="'.esc_attr($type).'" style="display:none;">'.esc_html($type).'</option>';

			foreach( $arg as $k => $v ){

				$k = $type.':'.str_replace( ':', '&#58;', $k );

				echo '<option class="'.esc_attr($type).' '.esc_attr($k).'" value="'.esc_attr($k).'" style="display:none;">'.esc_html($v).'</option>';

			}
		}

		echo '</select>';
		echo '<button class="button unselected" style="margin-top: 10px;">Remove selection</button>';
	echo '</div>';

?>
<#

	data.callback = function( wrp, $ ){

		// Action for changing content type
		wrp.find('.wlp-content-type').on( 'change', wrp, function( e ){

			var type = this.value;

			e.data.find('.wlp-taxonomies-select option').each(function(){

				this.selected = false;

				if( $(this).hasClass( type ) )
					this.style.display = '';
				else this.style.display = 'none';

				if( this.value == type ){
					this.checked = true;
					e.data.find('input.wlp-param').val( type );
				}
			});

		});
		// Action for changing taxonomies
		wrp.find('.wlp-taxonomies-select').on( 'change', wrp, function( e ){

			var value = [];
			$(this).find('option:selected').each(function(){
				value.push( this.value );
			});

			e.data.find('input.wlp-param').val( value.join(',') );

		});
		// Action remove selection
		wrp.find('.unselected').on( 'click', wrp, function( e ){

			e.data.find( '.wlp-taxonomies-select option:selected' ).attr({ selected: false });
			e.preventDefault();

		});

		var values = data.value.split(','),
		valuez = data.value+',';

		// Active selected taxonomies
		if( values.length > 0 ){

			selected = values[0].split( ':' )[0];

			// Active selected content type
			if( selected != '' )
				wrp.find('.wlp-content-type option[value='+selected+']').attr('selected','selected').trigger('change');
			else wrp.find('.wlp-content-type').trigger('change');

			wrp.find('.wlp-taxonomies-select option').each(function(){
				if( valuez.indexOf( this.value+',' ) > -1 ){
					this.selected = true;
				}else this.selected = false;
			});
		}

		wrp.find('.wlp-select-wrp')
			.append('<input class="wlp-param" name="'+data.name+'" type="hidden" value="'+data.value+'" />');

	}

#>


<?php
}

function wlp_param_type_autocomplete(){
	
?>
<div class="wlp_autocomplete_wrp">
	<input class="wlp-param" name="{{data.name}}" type="hidden" value="{{data.value}}" />
	<ul class="autcp-items"></ul>
	<input type="text" class="wlp-autp-enter" placeholder="<?php _e('Enter your word','wpleadpages'); ?>..." />
	<div class="wlp-autp-suggestion wlp-free-scroll">
		<ul>
			<li><?php _e('Show up 120 relate posts','wpleadpages'); ?></li>
		</ul>
	</div>
</div>
<#
	data.callback = function( wrp, $ ){
		
		function render( data, wrp ){
			
			var out = '', post_type = 'any', category = '', category_name = '', numberposts = 120, taxonomy = '', terms = '';
			
			if( data.options !== undefined ){
				if( data.options.post_type !== undefined )
					post_type = data.options.post_type;
				if( data.options.category !== undefined )
					category = data.options.category;
				if( data.options.category_name !== undefined )
					category_name = data.options.category_name;
				if( data.options.numberposts !== undefined )
					numberposts = data.options.numberposts;
				if( data.options.taxonomy !== undefined )
					taxonomy = data.options.taxonomy;
				if( data.options.terms !== undefined )
					terms = data.options.terms;
			}
			
			if( data.value !== '' ){
				var items = data.value.split(','), item, id;
				for( var i=0; i<items.length; i++ ){
					item = items[i].split(':');
					id = item[0];
					if( item[1] !== undefined )
						item = item[1];
					else item = '';
					out += '<li data-id="'+id+'"><span>'+wlp.tools.esc_attr(item)+'</span><i class="sl-close wlp-ac-remove" title="<?php _e( 'Remove item','wpleadpages' ); ?>"></i></li>';
				}
			}
			
			wrp.find('ul.autcp-items').html( out );
			helper( wrp.find('.wlp_autocomplete_wrp') );
			
			wrp.find('.wlp-autp-enter').on('focus',function(){
				$(this.parentNode).find('.wlp-autp-suggestion').show();
			}).on('blur',function(){
				setTimeout( function(el){
					el.hide();
				}, 200, $(this.parentNode).find('.wlp-autp-suggestion') );
			}).on('keyup',function(){
				
				if( this.value === '' )
					return;
					
				if( $(this.parentNode).find('.wlp-autp-suggestion .fa-spinner').length == 0 ){
					$(this.parentNode).find('.wlp-autp-suggestion ul').prepend('<li class="sg-loading wlp-free-scroll"><i class="fa fa-spinner fa-spin"></i> searching...</li>');
				}
				clearTimeout( this.timer );
				this.session = Math.random();
				this.timer = setTimeout(function(el){
					
					$.post(
		
						wlp_ajax_url,
					
						{
							'action': 'wlp_suggestion',
							'security': wlp_ajax_nonce,
							'post_type': post_type,
							'category': category,
							'category_name': category_name,
							'numberposts': numberposts,
							'taxonomy': taxonomy,
							'terms': terms,
							's': el.value,
							'session': el.session
						},
					
						function (result) {
							$(el.parentNode).find('.sg-loading').remove();
							if( el.session == result.__session ){
								var ex = [], out = [], item;
								for( var n in result ){
									if( n !== '__session' ){
										if( ex.indexOf( n ) === -1 ){
											ex.push(n);
											out.push('<li class="label wlp-free-scroll">'+n+'</li>');	
										}
										for( var m in result[n] ){
											item = result[n][m].split(':');
											out.push('<li class="wlp-free-scroll" data-value="'+wlp.tools.esc_attr(result[n][m])+'">'+item[1]+'</li>');	
										}
									}	
								}
								if( out.length === 0 )
									out.push('<li><?php _e('Nothing found','wpleadpages'); ?></li>');
								$(el.parentNode).find('.wlp-autp-suggestion ul').html( out.join('') ).find('li').on('click',function(){
									var value = $(this).data('value');
									if( value === null || value === undefined )
										return;
									value = value.split(':');
									$(this).closest('.wlp_autocomplete_wrp').find('ul.autcp-items').append('<li data-id="'+value[0]+'"><span>'+wlp.tools.esc_attr(value[1])+'</span><i class="sl-close wlp-ac-remove" title="<?php _e( 'Remove item','wpleadpages' ); ?>"></i></li>');
									helper( $(this).closest('.wlp_autocomplete_wrp') );
								});
							}
						}
					);
					
				}, 250, this);
			});
				
		}
		
		function helper( el ){

			wlp.ui.sortable({

				items : 'div.wlp_autocomplete_wrp>ul>li',
				helper : ['wlp-ui-handle-image', 25, 25 ],
				connecting : false,
				vertical : true,
				end : function( e, el ){
					refresh( $(el).closest('.wlp_autocomplete_wrp') );
				}

			});


			el.find('i.wlp-ac-remove').off('click').on( 'click', el, function( e ){
				$(this).closest('li').remove();
				refresh( e.data );
			});

			refresh( el );

		}

		function refresh( el ){
			
			var val = [];
			
			el.find('>ul.autcp-items>li').each(function(){
				val[ val.length ] = $(this).data('id')+':'+$(this).find('>span').html();
			});

			el.find('input.wlp-param').val( val.join(',') );

		}
		
		render( data, wrp );
	
	}	
#>	
<?php	
}	

function wlp_param_type_number_slider(){
	?>
	<#
		var type, show_input;
		show_input = (typeof data.options['show_input'] == 'undefined' )? false: data.options['show_input'];

		if( show_input === true){
			type = 'text';
		}else{
			type = 'hidden';
		}
	#>

    <div class="wlp_percent_slider"></div>
	<input type="{{type}}" class="wlp-param number_slider_field" name="{{data.name}}" value="{{data.value}}" />

	<#

	data.callback = function( el, $, data ){

        var el_slider = el.find('.wlp_percent_slider'), wlp_number_slider = function( el, set_val ){
	        
			var _step, range = (typeof data.options['range'] == 'undefined' )? false: data.options['range'],
				show_input = (typeof data.options['show_input'] == 'undefined' )? false: data.options['show_input'],
				unit = (typeof data.options['unit'] == 'undefined' )? '': data.options['unit'];

			if(show_input === true ){
				_step = 1;
			}
			else{
				_step = data.options['step'];
			}
			if( set_val == 'NaN' )
				set_val = 0.75*parseInt( data.options['max'] );
				
			el.off('mouseup').on('mouseup',function(){
				$(this).next('input').change();
			}).freshslider({
				
				step	: _step,
				range	: range,
				min		: data.options['min'],
				max		: data.options['max'],
				unit	: data.options['unit'],
				value	: set_val,
				enabled : data.options['enabled'],

				onchange: function( left, right ){
					
					if( range === true )
						el.next('input').val((left+unit)+'|'+(right+unit));
					else el.next('input').val(left+unit);
					
					if(show_input === true )
						el.find('.fscaret').text('');
					else{
						el.find('.fscaret.fss-left').html('<span>'+(left+unit)+'</span>');
						el.find('.fscaret.fss-right').html('<span>'+(right+unit)+'</span>');
					}
					
				}
			});

		};
		
		var values = data.value.split('|');
		for( var i in values ){
			values[i] = parseInt( values[i] );
		}
		wlp_number_slider( el_slider, values );
		
		el_slider.next('input').on('change', { el : el , el_slider: el_slider, data : data }, function(e){
	
			var _value = $(this).val();
			
			_value = _value.split('|');
			for( var i in _value ){
				_value[i] = parseInt( _value[i] );
			}
			
			if(/^\d+$/.test(_value) && _value !== ''){
				
				if(this.value!==_value)
					$(this).val( parseInt(_value) );

				if( _value > e.data.data.options['max'] ) _value = e.data.data.options['max'];

				wlp_number_slider( e.data.el_slider, _value.toString().split('|') );
				
			}else{
				e.data.el_slider.next('input').val('');
			}

		});
    }

	#>
	<?php
}

 add_action('wp_ajax_wlp_cvf_upload_files1', 'wlp_cvf_upload_files1');
add_action('wp_ajax_nopriv_wlp_cvf_upload_files1', 'wlp_cvf_upload_files1'); // Allow front-end submission

function wlp_cvf_upload_files1(){
	
    $valid_formats = array("jpg", "png", "gif", "bmp", "jpeg"); // Supported file types
    //$max_file_size = 1024 * 500; // in kb
    $max_image_upload = 10; // Define how many images can be uploaded to the current post
    $wp_upload_dir = wp_upload_dir();
    $path = $wp_upload_dir['path'] . '/';
    $count = 0;
 
    // Image upload handler
    if( $_SERVER['REQUEST_METHOD'] == "POST" ){
                  
            foreach ( $_FILES['files']['name'] as $f => $name ) {
                $extension = pathinfo( $name, PATHINFO_EXTENSION );
                
                if ( $_FILES['files']['error'][$f] == 4 ) {
                    continue;
                }
               
                if ( $_FILES['files']['error'][$f] == 0 ) {
                    if( ! in_array( strtolower( $extension ), $valid_formats ) ){
                        $upload_message[] = "$name is not a valid format";
                        continue;
                   
                    } else{
                        // If no errors, upload the file...
                        if( move_uploaded_file( $_FILES["files"]["tmp_name"][$f], $path.$_FILES["files"]["name"][0] ) ) {
                            $count++;

                            $filename = $path.$_FILES["files"]["name"][0];
                            $filetype = wp_check_filetype( basename( $filename ), null );
                            $wp_upload_dir = wp_upload_dir();
                            $attachment = array(
                                'guid'           => $wp_upload_dir['url'] . '/' . basename( $filename ),
                                'post_mime_type' => $filetype['type'],
                                'post_title'     => preg_replace( '/\.[^.]+$/', '', basename( $filename ) ),
                                'post_content'   => '',
                                'post_status'    => 'inherit'
                            );
                            // Insert attachment to the database
                            $attach_id = wp_insert_attachment( $attachment, $filename );

                            require_once( ABSPATH . 'wp-admin/includes/image.php' );
                           
                            $attach_data = wp_generate_attachment_metadata( $attach_id, $filename );
                            wp_update_attachment_metadata( $attach_id, $attach_data );
                           
                        }
                    }
                }
            }
        
    }
    // Loop through each error then output it to the screen
    if ( isset( $upload_message ) ) :
        foreach ( $upload_message as $msg ){       
            printf( __('<p class="bg-danger">%s</p>', 'wp-trade'), $msg );
        }
    endif;
    // If no error, show success message
    if( $count != 0 ){
        $image_attributes = wp_get_attachment_image_src( $attach_id,'thumbnail' );
			 if($image_attributes[0]!=""){
				 echo $attach_id."--yes--".$image_attributes[0];
							 
			 } 
    }
   
    exit();

}
 add_action('wp_ajax_wlp_cvf_upload_files2', 'wlp_cvf_upload_files2');
add_action('wp_ajax_nopriv_wlp_cvf_upload_files2', 'wlp_cvf_upload_files2'); // Allow front-end submission

function wlp_cvf_upload_files2(){
	
    $valid_formats = array("jpg", "png", "gif", "bmp", "jpeg"); // Supported file types
    //$max_file_size = 1024 * 500; // in kb
    $max_image_upload = 10; // Define how many images can be uploaded to the current post
    $wp_upload_dir = wp_upload_dir();
    $path = $wp_upload_dir['path'] . '/';
    $count = 0;
 
    // Image upload handler
    if( $_SERVER['REQUEST_METHOD'] == "POST" ){
                  
            foreach ( $_FILES['files']['name'] as $f => $name ) {
                $extension = pathinfo( $name, PATHINFO_EXTENSION );
                
                if ( $_FILES['files']['error'][$f] == 4 ) {
                    continue;
                }
               
                if ( $_FILES['files']['error'][$f] == 0 ) {
                    if( ! in_array( strtolower( $extension ), $valid_formats ) ){
                        $upload_message[] = "$name is not a valid format";
                        continue;
                   
                    } else{
                        // If no errors, upload the file...
                        if( move_uploaded_file( $_FILES["files"]["tmp_name"][$f], $path.$_FILES["files"]["name"][0] ) ) {
                            $count++;

                            $filename = $path.$_FILES["files"]["name"][0];
                            $filetype = wp_check_filetype( basename( $filename ), null );
                            $wp_upload_dir = wp_upload_dir();
                            $attachment = array(
                                'guid'           => $wp_upload_dir['url'] . '/' . basename( $filename ),
                                'post_mime_type' => $filetype['type'],
                                'post_title'     => preg_replace( '/\.[^.]+$/', '', basename( $filename ) ),
                                'post_content'   => '',
                                'post_status'    => 'inherit'
                            );
                            // Insert attachment to the database
                            $attach_id = wp_insert_attachment( $attachment, $filename );

                            require_once( ABSPATH . 'wp-admin/includes/image.php' );
                           
                            $attach_data = wp_generate_attachment_metadata( $attach_id, $filename );
                            wp_update_attachment_metadata( $attach_id, $attach_data );
                           
                        }
                    }
                }
            }
        
    }
    // Loop through each error then output it to the screen
    if ( isset( $upload_message ) ) :
        foreach ( $upload_message as $msg ){       
            printf( __('<p class="bg-danger">%s</p>', 'wp-trade'), $msg );
        }
    endif;
    // If no error, show success message
    if( $count != 0 ){
        $image_attributes = wp_get_attachment_image_src( $attach_id,'full' );
			 if($image_attributes[0]!=""){
				 echo $attach_id."--yes--".$image_attributes[0];
							 
			 } 
    }
   
    exit();

}
function wlp_param_type_random(){
?>
	<#
		var new_random = parseInt(Math.random()*1000000);
	#>
	<input name="{{data.name}}" class="wlp-param" value="{{new_random}}" type="text" />

<?php
}

function wlp_param_type_optinlist_hidden(){
	echo '<input name="{{data.name}}" class="wlp-param optin_list" value="{{data.value}}" type="hidden" />';
}

function wlp_param_type_animate_radio(){
?>
	<div wlp-multiple-field-wrp>
		<# if( data.options ){
			for( var n in data.options ){
				#><span class="nowrap"><input type="radio" class="wlp-param" name="{{data.name}}" <#
					if( n == data.value ){ #> checked<# }
				#> value="{{n}}" /> {{data.options[n]}}</span>
			<# } #>
		<# } #><input type="radio" class="wlp-param empty-value" value="" name="{{data.name}}" style="display:none;" />
	</div>
<?php
}
