<?php
/**
*
*	Wp Lead Pages
*	(c) wpleadpages.com
*
*/

if(!defined('ABSPATH')) {
	header('HTTP/1.0 403 Forbidden');
	exit;
}

?>

<div id="wlp-sections-manager">
	<div class="mgs-select-section">
		<!--<h1 class="mgs-t01" id="wlp-profile-title">
			<?php //_e('Profile: ', 'wpleadpages'); ?>
			<span class="msg-profile-label-display"></span>
		</h1>-->
		<a href="#" id="wlp-add-new-section"><?php _e('Add New Section', 'wpleadpages'); ?></a>
		<!--<select class="filter-by-category">
			<option value=""> -- <?php //_e('Filter by Category', 'wpleadpages'); ?> -- </option>
		</select>-->
		<input type="search" class="filter-by-name" placeholder="<?php _e('Search by name', 'wpleadpages'); ?>" />
		<!--<div id="wlp-section-settings"><i class="sl-settings"></i></div>-->
		<div data-label="<?php _e('Use this template', 'wpleadpages'); ?>" class="mgs-select-wrp layout-grid">
			<?php // _e('Babu Loading', 'wpleadpages'); ?>
			<img  height="70" width="70" src="<?php echo wlp_URL . '/assets/images/subscriber/temp_loading1.gif'; ?>" alt="">
		</div>
	</div>
</div>

<div id="poststuff" style="display:none;" class="wlp-sections-manager">
	<button class="button button-large wlp-backtoList">
		<i class="sl-action-undo"></i> <?php _e('Back to Sections List', 'wpleadpages'); ?>
	</button>
    <div id="post-body" class="metabox-holder columns-2">
        <div id="post-body-content" style="position: relative;">
            <div id="postdivrich" class="postarea wp-editor-expand">

				<?php wp_editor( '', 'content' ); ?> 

            </div> 
        </div>
        <!-- /post-body-content -->

        <div id="postbox-container-1" class="postbox-container wlp-section-meta">
            <div id="submitdiv" class="postbox ">
                <h3 class="hndle"><span><?php _e('Section Settings', 'wpleadpages'); ?></span></h3>
                <div class="inside">
					<div class="misc-pub-section">
					<a href="" data-url="<?php echo home_url(); ?>" class="wlp_preview_url button button-primary" target="_blank">Preview</a>
					</div>
	                <form id="wlp-section-form">
		                <input type="submit" class="forceHide" />
	                    <div class="submitbox">
	                        <div class="misc-pub-section" id="wlp-section-title">
		                        <label><?php _e('Title', 'wpleadpages'); ?>:</label>
		                        <input id="title" type="text" placeholder="Enter new Title" class="inp-wa0" />
	                            <div class="clear"></div>
	                        </div>
	                        <div class="misc-pub-section" id="wlp-section-category">
		                        <label><?php _e('Categories', 'wpleadpages'); ?>:</label>
		                        <input type="text" placeholder="Enter new category name" class="inp-wa0" />
	                            <div class="mgs-tips pos-right">
									<ul></ul>
								</div>
	                            <div class="clear"></div>
	                        </div>
	                        <div class="misc-pub-section last" id="wlp-section-screenshot">
		                       	<div class="msc-body mgc-cn-screenshot"></div>
	                            <div class="clear"></div>
	                        </div>
							
							<div class="misc-pub-section" id="wlp-section-pageid">
		                        <label><?php _e('Select Page', 'wpleadpages'); ?>:</label>
								<?php wp_dropdown_pages(array('show_option_none'=>'select','id'=>'','class'=>'page_id')); ?>
	                            <div class="mgs-tips pos-right">
									<ul></ul>
								</div>
	                            <div class="clear"></div>
	                        </div>
							
							<div class="misc-pub-section" id="wlp-section-bodybgimg">
								<label><?php _e('Body Background Image', 'wpleadpages'); ?>:</label>
								<div class="msc-body mgc-cn-screenshot"></div>
	                            <div class="clear"></div>
							</div>
							
							<div class="misc-pub-section" id="wlp-section-bodybgimg-repeate">
								<label>BG Repeat</label>
								<select class="wlp_pbg_image_repeate">
									<option selected="" value="">Yes</option>
									<option value="no-repeat">No Repeat</option>
									<option value="repeat-x">Repeat Horizontal</option>
									<option value="repeat-y">Repeat Vertical</option>
								</select>
							</div>
							
							<div class="misc-pub-section" id="wlp-section-bodybgimg-pos">
								<label>BG Position</label>
								<select class="wlp_pbg_image_pos">
									<option value="center center">center center</option>
									<option value="0px 0px">0px 0px</option>
									<option value="50% 50%">50% 50%</option>
								</select>
							</div>
							
							<div class="misc-pub-section" id="wlp-section-bodybgimg-attchment">
								<label>BG Attachment</label>
								<select class="wlp_pbg_image_attchment">
									<option value="scroll">scroll</option>
									<option value="fixed">fixed</option>
									<option value="local">local</option>
									<option value="initial">initial</option>
									<option value="inherit">inherit</option>
								</select>
							</div>
							
							<div class="misc-pub-section" id="wlp-section-bodybgimg-size">
								<label>BG Size</label>
								<select class="wlp_pbg_image_size">
									<option value="auto">auto</option>
									<option value="length">length</option>
									<option value="cover">cover</option>
									<option value="contain">contain</option>
									<option value="initial">initial</option>
									<option value="inherit">inherit</option>
								</select>
							</div>
	
	                        <div id="major-publishing-actions">
	                            <div id="delete-action">
	                                <a class="submitdelete deletion" href="#">
		                                <?php _e('Delete This Template', 'wpleadpages'); ?>
		                            </a>
	                           	</div>
	                            <div id="publishing-action">
	                                <button class="button button-primary button-large">
	                                	<i class="fa fa-check"></i> <?php _e('Update', 'wpleadpages'); ?>
	                                </button>
	                            </div>
	                            <input type="hidden" id="msg-activated-section-id" />
	                            <div class="clear"></div>
	                        </div>
	                    </div>
	                </form>
                </div>
            </div>
            <div id="wlp-save-success">
	            <div class="mss-wrp">
		            <i class="fa fa-check"></i>
		            <h3><?php _e('Saved Successfully', 'wpleadpages'); ?></h3>
		            <span><?php _e('The data is saved in real-time and you do not need to reload the browser even in other tabs', 'wpleadpages'); ?></span>
		            <button class="button button-large wlp-backtoList"><i class="sl-action-undo"></i>  Back to List</button>
		              &nbsp; 
		            <button class="button button-large button-primary" id="ssCountDown">Ok</button>
	            </div>
            </div>
        </div>

    </div>
    <!-- /post-body -->
    <br class="clear">
</div>

<script type="text/javascript">
	
	
function wlp_sections_load(){
	
	var $ = jQuery;
	
	$('.msg-profile-label-display').html( wlp.cfg.profile );
	//console.log(wlp.cfg.sectionsPerpage);
	/* Build Sections List */
	$('#wlp-sections-manager div.mgs-select-wrp').html( wlp.ui.gsections.load( '<?php _e('Use this template', 'wpleadpages'); ?>', 0, wlp.cfg.sectionsPerpage ) ).find('.mgs-scale-min').removeClass('mgs-scale-min');
	
	var cats = wlp.ui.gsections.get_cats(), 
		ul = $('#wlp-section-category .mgs-tips ul'),
		catfilter = $('#wlp-sections-manager select.filter-by-category');
	
	ul.html('');
	catfilter.find('option').remove();
	catfilter.append('<option value=""> -- <?php _e('Filter by Category', 'wpleadpages'); ?> -- </option>');
		
	if( Object.keys(cats).length > 0 ){
		for( var i in cats ){
			ul.append('<li data-name="'+i+'"><i class="fa fa-caret-right"></i> '+i+' ('+cats[i]+')</li>');
			catfilter.append('<option value="'+i+'">'+i+' ('+cats[i]+')</option>');
		}
	}else{
		ul.append('<li data-name="first category"><i class="fa fa-caret-right"></i> <?php _e('First Category', 'wpleadpages'); ?></li><li></li>');
	}
	
	$('#wlp-sections-manager .load-more').off('mouseover').on( 'mouseover', wlp_loadmore_sections );
	
	$('#wlp-section-category .mgs-tips li').off('click').on( 'click', function( e ){
			
		var input = $( '#wlp-section-category input.inp-wa0' ),
			value = input.val().toString().trim(),
			data = $(this).data('name'),
			valz = value.split(',');
		
		for( var i in valz )
			valz[i] = valz[i].trim();
		
		if( value == '' )
			input.val( data );
		else if( $.inArray( data, valz ) == -1 )
			input.val( value+', '+data );
				
	} );
	
}

function wlp_loadmore_sections( e ){
						
	var $ = jQuery,
		label = $(this).data('label'),
		from = $(this).data('from'),
		to = $(this).data('to');

	$(this).after( wlp.ui.gsections.load( label, from, to ) ).remove();
	
	$(this).closest('.mgs-select-section').find('.filter-by-category').trigger('change');
	
	setTimeout(function(){
			$('.mgs-scale-min').removeClass('mgs-scale-min');
	}, 100 );
		
	$('#wlp-sections-manager .load-more').off( 'mouseover').on( 'mouseover', wlp_loadmore_sections );
	
	<?php if(isset($_GET['editsid']) && !empty($_GET['editsid'])){ ?>
		editfrompageditor();
	<?php } ?>

}

function switchToEdit( sid ){
	
	var stack = wlp.backbone.stack.get('wlp_GlobalSections'), $ = jQuery;
	
	$('.section-manager-popup').remove();
	
	if( sid == 'new' ){
		var sobj = {
			title : 'New Section',
			category : 'New Category',
			screenshot : '',
			bodybgimg : { 'url' : '', 'repeate' : '', 'size' : '', 'attchement' : '', 'position' : '' },
			data : '',
			status : 1,
			id : parseInt( Math.random()*1000000 )
		}
	}else{
		
		for( var i in stack ){
			if( stack[i].id == sid )
				var sobj = stack[i];	
		}
		
	}
	
	if( sobj === undefined )
		return;
	
	$('#wlp-save-success').hide();
			
	/*Defined sid*/
	$('#poststuff').data({ sid : sid });
	
	$('#wlp-sections-manager').hide();
	$('#poststuff').show().find('#content-html').trigger('click');
	$('#content').val( sobj.data );

	wlp.switch( true );
	
	$('#wlp-section-title input').val( sobj.title );
	$('#wlp-section-category input').val( sobj.category );
	
	if( sobj.id === undefined || sobj.id === null || sobj.id == '' )
		sobj.id = parseInt( Math.random()*1000000 );
		
	$('#msg-activated-section-id').val( sobj.id );
	
	atts = { value 	: sobj.screenshot, name	: 'screenshot' };
	var field = jQuery( wlp.template( 'field-type-attach_image_url', atts ) );
	
	atts1 = { value 	: sobj.bodybgimg.url, name	: 'bodybgimg' };
	var field1 = jQuery( wlp.template( 'field-type-attach_image', atts1 ) );
	
	$('#wlp-section-pageid .page_id').val(sobj.pageid);
	
	$('.wlp_preview_url').attr('href',$('.wlp_preview_url').attr('data-url') + '?page_id=' + sobj.pageid);
	
	$('#wlp-section-bodybgimg-repeate .wlp_pbg_image_repeate').val(sobj.bodybgimg.repeate);
	$('#wlp-section-bodybgimg-size .wlp_pbg_image_size').val(sobj.bodybgimg.size);
	$('#wlp-section-bodybgimg-attchment .wlp_pbg_image_attchment').val(sobj.bodybgimg.attchement);
	$('#wlp-section-bodybgimg-pos .wlp_pbg_image_pos').val(sobj.bodybgimg.position);
	
	$('#wlp-section-screenshot .msc-body').html( field );
	
	$('#wlp-section-bodybgimg .msc-body').html( field1 );
		
	if( typeof atts.callback == 'function' ){
		setTimeout( atts.callback, 1, field );
		setTimeout( atts1.callback, 1, field1 );
	}
		
	if( $('#style-hide-itself').length == 0 )
		$('body').append('<style type="text/css" id="style-hide-itself"></style>');
		
	$('#style-hide-itself').html('.wlp-params-popup .wlp-add-sections .mgs-section-item.mgs-section-'+sobj.id+'{display:none;}');
		
		
}	

function delete_section( el ){
	
	if( confirm('Are you sure that you want to delete this section?') ){
					
		var $ = jQuery, item = $(el).closest('.mgs-section-item');
		
		if( wlp_profiles[ wlp.cfg.profile_slug ] === undefined )
			data = wlp.tools.base64.encode( localStorage.wlp_GlobalSections );
		else data = '';
		
		$('body').append('<div id="instantSaving"><span><i class="fa fa-spinner fa-spin fa-3x"></i><br /><br />Deleting...</span></div>');
		
		$.post( wlp_ajax_url, {

			'action': 'wlp_delete_section',
			'id': $(el).data('sid'),
			'name': wlp.cfg.profile,
			'slug': wlp.cfg.profile_slug,
			//'data': data, 
			
		}, function (result) {
			
			$('#instantSaving').remove();
			
			if( result == 0 )
				alert('Access Denied!');
			else if( result.status == 'success' ){
				
				$('.wlp-backtoList').trigger('click');
				item.remove();
				
				var data = wlp.tools.base64.decode( result.data );
				
				wlp.backbone.stack.set( 'wlp_GlobalSections',  data );
				wlp.cfg.profile = result.name;
				wlp.backbone.stack.set( 'wlp_Configs', wlp.cfg );
				
				if( wlp_profiles[ wlp.cfg.profile_slug ] === undefined ){
					wlp_profiles[ wlp.cfg.profile_slug ] = result.name;
				}
				
				if( wlp_profiles_external[ wlp.cfg.profile_slug ] !== undefined ){
					delete wlp_profiles_external[ wlp.cfg.profile_slug ];	
				}
				
			}
			else alert( result.message );
			
		});
		
	}	
}

function editfrompageditor(){
	var $ = jQuery, editi = 0;
	$( ".mgs-si-sceenshot" ).each(function() { 
		editi++;		
		if($(this).find('span').attr('data-sid') == '<?php echo isset($_GET['editsid']) ? $_GET['editsid'] : ''; ?>'){
			$(this).find('span').click();
			 return false; 
		}
		if(editi == 8 && $('.mgs-select-wrp.layout-grid .load-more').length){
			$('.mgs-select-wrp.layout-grid .load-more').trigger('mouseenter');
		}
	});
}

jQuery(document).ready(function( $ ){
	
	wlp.curentContentType = 'wlp-sections';
	/*Make sure the stack is fresh*/
	wlp.backbone.stack.reset( 'wlp_GlobalSections' );
	
	$('#wlp-section-pageid select').change(function(){
		var pageid = $(this).val();
		//alert(pageid);
		$('.wlp_preview_url').attr('href',$('.wlp_preview_url').attr('data-url') + '?page_id=' + pageid);
	});
	
	wlp.trigger({
		
		el : $('#wlp-sections-manager'),
		
		events : {
			'.mgs-select-section .filter-by-category:change' : 'filter',
			'.mgs-select-section .filter-by-name:keyup' : 'search',
			'#wlp-add-new-section:click' : 'add_new',
			'#wlp-section-settings:click' : 'settings',
			'.mgs-select-wrp:click' : 'actions',
			'#wlp-section-pageid:change' : 'setpreviewurl',
		},
		
		setpreviewurl: function(){
			
		},
		
		actions : function( e ){
			
			e.preventDefault();
							
			var target = e.target;
			if( target == null )
				return;
			
			if( $(target).hasClass('mgs-sel-sceenshot') || $( target ).hasClass('edit-section') ){
				
				var sid = $(target).data('sid');
				if( sid != undefined ){					
					var imageid = $(target).data('imageids'); 
					var status = $(target).data('status');
					
					if(status == 1){
						switchToEdit( sid );
					}else if(status == 0){
						$(target).parent().find('.wlp_loadingicon').show();
						$.post( wlp_ajax_url, {

							'action': 'wlp_upload_image',
							'images': imageid,
							'sid': sid,

						}, function (result) {
							
							//console.log(result);
							
							result.data = wlp.tools.base64.decode( result.data );
							wlp.backbone.stack.set( 'wlp_GlobalSections', result.data );
							
							var stack = wlp.backbone.stack.get('wlp_GlobalSections');
							
							switchToEdit( sid );
							
							$(target).parent().find('.wlp_loadingicon').hide();

						});	
					}
					
				}
				
			}
			else  
			if( $( target ).hasClass('mgs-delete') ){
								
				delete_section( target );
				
			} 
			else 
			if( $(target).hasClass('load-more') ){
				
				$(target).trigger('mouseover');
				
			}
			
		},
		
		filter : function( e ){
			
			var wrp = $(this).closest('.mgs-select-section'),
				items = wrp.find('.mgs-section-item'),
				sections = wrp.find('.mgs-section-item'),
				i = 0;
			if( this.value == '' ){
				sections.removeClass('forceHide');
			}else{
				sections.addClass('forceHide');
				wrp.find('.mgs-section-item.category-'+wlp.tools.esc_slug(this.value)).removeClass('forceHide');
			}
			
		},
		
		search : function( e ){
			
			clearTimeout( document.key_up );
			
			document.key_up = setTimeout( function( inp ){
				
				var items = $( inp ).closest('.mgs-select-section').find('.mgs-section-item');
				items.addClass('forceHide').removeClass('break-line');
				
				items.find('.mgs-si-info span').each( function(){
					
					if( this.innerHTML.toLowerCase().indexOf( inp.value.toLowerCase() ) > -1 )
						$(this.parentNode.parentNode).removeClass('forceHide');
						
				});
				
			}, 150, this );
		
			
		},
		
		add_new : function( e ){
			
			switchToEdit( 'new' );
				
		},
		
		settings : function( e ){
			
			var atts = { title: 'or Sections Settings', width: 800, class: 'no-footer bg-blur-style section-manager-popup page-sections-manager' },
				pop = wlp.tools.popup.render( this, atts ),
				arg = { list : 'no' },
				sections = $( wlp.template( 'install-global-sections', arg ) );
			
			pop.find('.m-p-body').append( sections );
			
			if( typeof arg.callback == 'function' )
				arg.callback( sections );
		}
		
	});	
	/* End Build Sections List */
	
	
	/* Settings Category Box */
	wlp.trigger({
		
		el : $('#poststuff'),
		
		events : {
			'#wlp-section-category input.inp-wa0:focus' : 'focus',
			'#wlp-section-category input.inp-wa0:blur' : 'blur',
			'#delete-action a:click' : 'deletion',
			'#publishing-action button:click' : 'save',
			'.wlp-backtoList:click' : 'backtoList',
			'#wlp-section-form:submit' : function( e ){
				e.data.el.find('#publishing-action button').trigger('click');
				e.data.el.find('.show-tips').removeClass('show-tips');
				return false;	
			},
			'#ssCountDown:click' : function(){
				$('#wlp-save-success').hide();
			}
		},
		
		focus : function( e ){
			this.placeholder='Select an exist category';
			$(this).closest('#wlp-section-category').addClass('show-tips');
		},
		
		blur : function( e ){
			this.placeholder='Enter new category name';
			setTimeout( function( el ){
				el.removeClass('show-tips');
			}, 200, e.data.el.find('.show-tips') );	
		},
	  	
		deletion : function( e ){
			
			var sid = $('#poststuff').data('sid');
			if( sid != undefined ){
				delete_section( $('.mgs-section-'+sid+' .mgs-delete').get(0) );
			}
			 
		},
		
		save : function( e ){
			
			if( $('#instantSaving').length > 0 )
				return;
			
			var sid = $('#poststuff').data('sid'),
				id =  wlp.tools.esc( $('#msg-activated-section-id').val() );
				
			if( id === undefined || id == ''  )
				id = parseInt( Math.random()*1000000 );
				
			if( sid == undefined )return;
			
			var stack = wlp.backbone.stack.get('wlp_GlobalSections');

			if( sid == 'new' ){
				
				wlp.backbone.stack.reset( 'wlp_GlobalSections' );
				
				$('#poststuff').data({ 'sid' : id });

				setTimeout( wlp.ui.gsections.refresh, 100 );
				
			}
			
			var title =  wlp.tools.esc( $('#wlp-section-title input').val() ),
				category =  wlp.tools.esc( $('#wlp-section-category input').val().toString().toLowerCase() ),
				screenshot = $('#wlp-section-screenshot input.wlp-param').val(),
				bodybgimg = $('#wlp-section-bodybgimg input.wlp-param').val(),
				bodybgimg_repeate = $('#wlp-section-bodybgimg-repeate .wlp_pbg_image_repeate').val(),
				bodybgimg_pos = $('#wlp-section-bodybgimg-pos .wlp_pbg_image_pos').val(),
				bodybgimg_attchment = $('#wlp-section-bodybgimg-attchment .wlp_pbg_image_attchment').val(),
				bodybgimg_size = $('#wlp-section-bodybgimg-size .wlp_pbg_image_size ').val(),
				pageid = $('#wlp-section-pageid .page_id').val();
			
			if( title == '' ){
				alert('<?php _e('The title must not be empty', 'wpleadpages'); ?>');
				return false;
			}
				
			if( category == '' ){
				alert('<?php _e('The category must not be empty', 'wpleadpages'); ?>');
				return false;
			}
			
			if( pageid == '' ){
				alert('<?php _e('Please select page.', 'wpleadpages'); ?>');
				return false;
			}
			
			
			
			
			var data = '', exp;
				
			$('#wlp-container > #wlp-rows > .wlp-row').each(function(){
				exp =  wlp.backbone.export( $(this).data('model') );
				data += exp.begin+exp.content+exp.end;
			});
			
			var obj = {
				'id'	: id,
				'title'	: title,
				'category'	: category,
				'screenshot'	: screenshot,
				'pageid'	: pageid,
				'bodybgimg'	: { 'url' : bodybgimg, 'repeate' : bodybgimg_repeate, 'size' : bodybgimg_size, 'attchement' : bodybgimg_attchment, 'position' : bodybgimg_pos },
				'data'	: data,
				'status' : 1
			}
			
			wlp.ui.gsections.update_section( obj );
						
			wlp.changed = false;

		},
		
		backtoList : function( e ){
			
			wlp.changed = false;
			$('#wlp-sections-manager').show();
			$('#poststuff').hide();
			$('#wlp-container').remove();
			$('#wlp-undo-deleted-element').css({top:-132});
		}
		
		
	});
	/* End Settings Box */
	
	function ssCountDown( s ){
		s = parseInt( s );
		if( s > 0 && $('#wlp-save-success').css('display') == 'block' ){
			$('#ssCountDown').html('Ok ('+(s-1)+')');
			setTimeout( ssCountDown, 1000, s-1 );
		}else{
			$('#wlp-save-success').hide();
		}
	}

	wlp.ready.push( function(){
		
		//console.log(wlp.cfg.profile_slug);
		//console.log(wlp_profiles_external);
		
		/*if( wlp_profiles[ wlp.cfg.profile_slug ] !== undefined || wlp_profiles_external[ wlp.cfg.profile_slug ] !== undefined ){*/
			
			$.post( wlp_ajax_url, {
				'action': 'wlp_load_profile',
				'name': wlp.cfg.profile_slug
			}, function ( result ) {
				
				if( result == 0 ){
					alert('Access Denied!');
					return;
				}
				
				if( result.status != 'success' ){
					alert( result.message );
				}else{
					
					result.data = wlp.tools.base64.decode( result.data );
					wlp.ui.gsections.doDownloadCallback( result );
					
					<?php
						
						if( isset( $_GET['id'] ) )
							echo 'switchToEdit('.$_GET['id'].');';
						
					?>
						
				}
				
			});	
		
		/*}else{
			wlp_sections_load();
			<?php
						
				if( isset( $_GET['id'] ) )
					echo 'switchToEdit('.$_GET['id'].');';
				
			?>

		
		}*/
	
	} );
	
	<?php if(isset($_GET['editsid']) && !empty($_GET['editsid'])){ ?>
		setTimeout(editfrompageditor, 3000);
	<?php } ?>
	
	
});
	
</script>